
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.api.multishop.vo.ShopDetailVO;
import com.tmerclub.cloud.api.supplier.vo.SupplierApiDetailVO;
import com.tmerclub.cloud.api.user.vo.UserApiVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 公告VO
 *
 * @author YXF
 * @date 2020-11-25 17:57:56
 */
@Data
public class NoticeVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "公告id")
    private Long id;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "公告标题")
    private String title;

    @Schema(description = "公告内容")
    private String content;

    @Schema(description = "类型(1:在商家端展示 2:用户端展示 3:供应商端展示)")
    private String types;

    @Schema(description = "状态(1:公布 0:撤回)")
    private Integer status;

    @Schema(description = "是否置顶")
    private Integer isTop;

    @Schema(description = "发布时间")
    private Date publishTime;

    @Schema(description = "是否已读")
    private Integer isLearning;

    @Schema(description = "商家可见范围 (为空则全部可见)")
    private String multiShopIds;

    @Schema(description = "用户可见范围 (为空则全部可见)")
    private String userIds;

    @Schema(description = "供应商可见范围 (为空则全部可见)")
    private String supplierIds;

    @Schema(description = "商家可见范围 (为空则全部可见)")
    private List<ShopDetailVO> shopDetailVOList;

    @Schema(description = "用户可见范围 (为空则全部可见)")
    private List<UserApiVO> userDtailList;

    @Schema(description = "供应商可见范围 (为空则全部可见)")
    private List<SupplierApiDetailVO> supplierDetailList;

    @Schema(description = "是否立即发送 1：立即发送    0：定时发送")
    private Integer immediatelySend;

    @Schema(description = "发送时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;


    }
