
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 代销设置表VO
 *
 * @author lhd
 * @date 2022-06-22 17:09:12
 */
@Data
public class ShopSubstituteSalesVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "代销设置id")
    private Long shopSubstituteSalesId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "代销设置类型 0.智能设价 1.手动设价")
    private Integer salesType;

    @Schema(description = "默认加价比例 0.按比例加价 1.按固定数值加价")
    private Integer salesPriceType;

    @Schema(description = "默认加价比例为0时，代表百分比*100，为1时代表实际奖励金额*100")
    private Long salesPrice;

    @Schema(description = "商家收入低于供货价订单形式默认0 0.直接转换为待采购订单 1.通过商家已结算金额扣除差价")
    private Integer orderShape;

    @Schema(description = "操作人id")
    private Long modifier;

    @Schema(description = "代销设置类型为1才有:供货价高于代销价时是否自动下架：1.是，0.否")
    private Integer automaticOff;


}
