
package com.tmerclub.cloud.platform.dto;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 分销招募推广配置
 * @author cl
 * @date 2021-08-06 09:26:11
 */
@Data
public class DistributionRecruitConfigDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 推广图
     */
    private String pic;

    /**
     * 推广标题
     */
    @NotBlank(message = "推广标题不能为空")
    private String title;

    /**
     * 推广内容
     */
    @NotBlank(message = "推广内容不能为空")
    private String content;

    /**
     * 推广链接
     */
    private String url;

    /**
     * 推广开关： 状态（0下线 1上线）
     */
    private Integer state;


    }
