
package com.tmerclub.cloud.supplier.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 供应商审核参数
 *
 * @author LHD
 * @date 2021-03-14 09:10:00
 */
@Data
@Schema(description = "供应商审核列表参数")
public class AuditingSupplierInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "审核id)")
    private Long supplierAuditingId;

    @Schema(description = "审核状态(0 未审核 1已通过 -1未通过)")
    private Integer status;

    @Schema(description = "供应商名字")
    private String supplierName;

    @Schema(description = "用户名字")
    private String userName;

    @Schema(description = "供应商简介")
    private String intro;

    @Schema(description = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @Schema(description = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @Schema(description = "供应商状态 (-1:已删除 0: 停业中 1:营业中 2:平台下线 3:开店申请待审核 4:供应商申请中 5:上线申请待审核)")
    private Integer supplierStatus;

}
