
package com.tmerclub.cloud.supplier.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 供应商审核信息DTO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierAuditingDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商审核id")
    private Long supplierAuditingId;

    @Schema(description = "申请人id")
    private Long userId;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "供应商类型1自营店 2普通店")
    private Integer supplierType;

    @Schema(description = "0 未审核 1已通过 -1未通过 2平台下线 3 平台下线待审核")
    private Integer status;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "签约起始时间")
    private Date contractStartTime;

    @Schema(description = "签约终止时间")
    private Date contractEndTime;

}
