
package com.tmerclub.cloud.api.platform.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 下线处理事件DTO
 *
 * @author YXF
 * @date 2021-01-15 17:46:26
 */
@Data
public class OfflineHandleEventDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "事件id")
    private Long eventId;

    @Schema(description = "处理id——spuId/shopId...")
    private Long handleId;

    @Schema(description = "用户类型见SysTypeEnum 0.普通用户系统 1.商家端 2平台端 3供应商端")
    private Integer sysType;

    @Schema(description = "处理id——spuIds/shopIds...")
    private List<Long> handleIds;

    @Schema(description = "下线原因")
    private String offlineReason;

    @Schema(description = "拒绝理由")
    private String refuseReason;

    @Schema(description = "申请理由")
    private String reapplyReason;

    @Schema(description = "3.审核通过 4 审核未通过")
    private Integer status;
    /**
     * 处理人id
     */
    private Long handlerId;

    @Schema(description = "关联的店铺id")
    private Long shopId;

    /**
     * 1 商品 2 店铺 3满减 4.优惠券 5.团购 6.分销 7.秒杀 9.自提点
     */
    private Integer handleType;


}
