
package com.tmerclub.cloud.api.platform.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 下线处理事件VO
 *
 * @author YXF
 * @date 2021-01-15 17:46:26
 */
@Data
public class OfflineHandleEventVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "事件id")
    private Long eventId;

    @Schema(description = "1 商品 2 店铺 3满减 4.优惠券 5.团购 6.分销 7.秒杀 9.自提点")
    private Integer handleType;

    @Schema(description = "处理id，如果是商品就是商品id，店铺就是店铺id")
    private Long handleId;

    @Schema(description = "关联店铺id")
    private Long shopId;

    @Schema(description = "处理人id")
    private Long handlerId;

    @Schema(description = "处理人")
    private String handler;

    @Schema(description = "处理状态 1平台进行下线 2 重新申请，等待审核 3.审核通过 4 审核未通过")
    private Integer status;

    @Schema(description = "下线原因")
    private String offlineReason;

    @Schema(description = "下线原因")
    private List<OfflineHandleEventItemVO> offlineHandleEventItemList;


}
