
package com.tmerclub.cloud.api.supplier.bo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 供应商店铺详情VO
 *
 * @author tmerclub
 * @date 2020-11-23 16:24:29
 */
@Data
public class SupplierDetailBO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "供应商店铺类型1自营店 2普通店")
    private Integer type;

    @Schema(description = "供应商店铺名称")
    private String supplierShopName;

    @Schema(description = "供应商店铺logo")
    private String supplierLogo;

    @Schema(description = "供应商店铺状态(-1:已删除 0: 停业中 1:营业中 2:平台下线 3:待审核 4:供应商店铺申请中 5:申请失败)")
    private Integer supplierStatus;

    @Schema(description = "接收短信号码")
    private String noticeMobile;

    @Schema(description = "联系电话")
    private String contactPhone;

    @Schema(description = "供应商店铺商品总销量")
    private Integer saleNum;

    @Schema(description = "用户总收藏量")
    private Integer collectionNum;

    @Schema(description = "签约起始时间")
    private Date contractStartTime;

    @Schema(description = "签约终止时间")
    private Date contractEndTime;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "联系人姓名")
    private String contactName;


}
