
package com.tmerclub.cloud.api.supplier.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商家钱包信息BO
 * @author cl
 * @date 2021-08-19 11:04:45
 */
@Data
public class SupplierWalletBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺钱包id")
    private Long supplierWalletId;

    @Schema(description = "店铺id")
    private Long supplierId;

    @Schema(description = "订单号")
    private Long orderId;

    @Schema(description = "未结算金额（用户支付）")
    private Long unsettledAmount;

    @Schema(description = "已结算金额（用户确认收货后，可以提现）")
    private Long settledAmount;

    @Schema(description = "冻结金额（用户确认收货）")
    private Long freezeAmount;

    @Schema(description = "累积结算金额")
    private Long totalSettledAmount;

}
