
package com.tmerclub.cloud.api.auth.bo;

import com.tmerclub.cloud.api.auth.dto.AuthAccountDTO;
import com.tmerclub.cloud.api.auth.dto.UserRegisterDTO;
import com.tmerclub.cloud.api.auth.dto.UserRegisterExtensionDTO;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 用户批量用户注册
 * @author cl
 * @date 2021-05-14 14:22:14
 */
@Data
public class UserRegisterNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 账户信息
     */
    private List<AuthAccountDTO> accountDTOList;
    /**
     * 用户信息
     */
    private List<UserRegisterDTO> userRegisterList;
    /**
     * 用户注册信息
     */
    private List<UserRegisterExtensionDTO> userRegisterExtensionDTOList;

    public UserRegisterNotifyBO() {

    }

    public UserRegisterNotifyBO(List<UserRegisterDTO> userRegisterList, List<UserRegisterExtensionDTO> userRegisterExtensionDTOList) {
        this.userRegisterList = userRegisterList;
        this.userRegisterExtensionDTOList = userRegisterExtensionDTOList;
    }

    public UserRegisterNotifyBO(List<AuthAccountDTO> accountDTOList, List<UserRegisterDTO> userRegisterList, List<UserRegisterExtensionDTO> userRegisterExtensionDTOList) {
        this.accountDTOList = accountDTOList;
        this.userRegisterList = userRegisterList;
        this.userRegisterExtensionDTOList = userRegisterExtensionDTOList;
    }


}
