
package com.tmerclub.cloud.api.auth.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * 用户社交登陆信息
 *
 * @author lhd
 * @date 2020/01/06
 */
@Data
public class AuthSocialVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long id;

    /**
     * 本系统uid
     */
    private Long uid;

    /**
     * 第三方系统类型 1小程序 2 公众号
     */
    private Integer socialType;

    /**
     * 第三方系统昵称
     */
    private String nickName;

    /**
     * 第三方系统头像
     */
    private String imageUrl;

    /**
     * 第三方系统userid
     */
    private String bizUserId;

    /**
     * 第三方系统unionid
     */
    private String bizUnionid;


    /**
     * 当账户未绑定时，临时的uid
     */
    private String tempUid;

    /**
     * 有些时候第三方系统授权之后，会有个临时的key，比如小程序的session_key
     */
    private String bizTempSession;

    /**
     * 用户id
     */
    private String userId;



}
