
package com.tmerclub.cloud.api.group.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 拼团订单表VO
 *
 * @author YXF
 * @date 2021-03-20 10:39:32
 */
@Data
public class GroupOrderVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "拼团订单id")
    private Long groupOrderId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "拼团团队id")
    private Long groupTeamId;

    @Schema(description = "user_id(当user_id为0时标识为机器人)")
    private Long userId;

    @Schema(description = "身份标识(0:成员  1:团长)")
    private Integer identityType;

    @Schema(description = "活动商品金额")
    private Long activityProdPrice;

    @Schema(description = "支付金额")
    private Long payPrice;

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "状态(0:待支付、1:支付成功、-1:失效)")
    private Integer status;

    @Schema(description = "拼团活动id")
    private Long groupActivityId;

}
