
package com.tmerclub.cloud.api.coupon.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户优惠券统计数据
 * @author: cl
 * @date: 2021-04-12 16:12
 */
@Data
public class CouponUserCountDataVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "未使用 优惠券的数量")
    private Integer couponUsableNums;

    @Schema(description = "已使用 优惠券的数量")
    private Integer couponUsedNums;

    @Schema(description = "已过期 优惠券的数量")
    private Integer couponExpiredNums;

    public CouponUserCountDataVO() {
        this.couponUsableNums = 0;
        this.couponUsedNums = 0;
        this.couponExpiredNums = 0;
    }

}
