
package com.tmerclub.cloud.api.order.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * @author TRACK
 */
@Data
public class FormExcelParamVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺ID
     */
    private Long shopId;


    /**
     * 时间周期 1:天 2:周 3:月
     */
    private Integer timeType;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 时间范围 1:近1天 2:近7天 3: 近30天
     */
    private Integer timeRange;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 下单金额
     */
    private Boolean orderAmount;
    /**
     * 下单笔数
     */
    private Boolean orderNums;

    /**
     * 下单商品数
     */
    private Boolean productNums;

    /**
     * 下单人数
     */
    private Boolean userNums;

    /**
     * 自营金额
     */
    private Boolean selfOperatedAmount;

    /**
     * 自营订单数
     */
    private Boolean selfOperatedOrderNums;

    /**
     * 自营商品数
     */
    private Boolean selfOperatedProductNums;

    /**
     * 自营下单人数
     */
    private Boolean selfOperatedUserNums;

    /**
     * 支付金额
     */
    private Boolean payAmount;

    /**
     * 支付订单数
     */
    private Boolean payOrderNums;

    /**
     * 支付商品数
     */
    private Boolean payProductNums;

    /**
     * 支付人数
     */
    private Boolean payUserNums;

    /**
     * 退款金额
     */
    private Boolean refundAmount;
    /**
     * 退款订单数
     */
    private Boolean refundOrderNums;

    /**
     * 报表项名称数组
     */
    private Set<String> formItemNames;

    /**
     * 报表项id集合
     */
    private List<Integer> formItemIdList;


    @Override
    public String toString() {
        return "FormExcelParamVO{" +
                "shopId=" + shopId +
                ", timeType=" + timeType +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", timeRange=" + timeRange +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", orderAmount=" + orderAmount +
                ", orderNums=" + orderNums +
                ", productNums=" + productNums +
                ", userNums=" + userNums +
                ", selfOperatedAmount=" + selfOperatedAmount +
                ", selfOperatedOrderNums=" + selfOperatedOrderNums +
                ", selfOperatedProductNums=" + selfOperatedProductNums +
                ", selfOperatedUserNums=" + selfOperatedUserNums +
                ", payAmount=" + payAmount +
                ", payOrderNums=" + payOrderNums +
                ", payProductNums=" + payProductNums +
                ", payUserNums=" + payUserNums +
                ", refundAmount=" + refundAmount +
                ", refundOrderNums=" + refundOrderNums +
                ", formItemNames=" + formItemNames +
                ", formItemIdList=" + formItemIdList +
                '}';
    }
}
