package com.tmerclub.cloud.api.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lanhai
 */
@Data
public class UpdateCompanyInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商户唯一号")
    private String bizUserId;

    @Schema(description = "企业名称")
    private String companyName;

    @Schema(description = "企业地址")
    private String companyAddress;

    @Schema(description = "法人姓名")
    private String legalName;

    @Schema(description = "法人证件类型")
    private Integer identityType;

    @Schema(description = "法人证件号码")
    private String legalIds;

    @Schema(description = "法人手机号")
    private String legalPhone;

    public UpdateCompanyInfoDTO() {
    }

    public UpdateCompanyInfoDTO(String bizUserId) {
        this.bizUserId = bizUserId;
    }
    @Override
    public String toString() {
        return "UpdateCompanyInfoDTO{" +
                "bizUserId='" + bizUserId + '\'' +
                ", companyName='" + companyName + '\'' +
                ", companyAddress='" + companyAddress + '\'' +
                ", legalName='" + legalName + '\'' +
                ", identityType=" + identityType +
                ", legalIds='" + legalIds + '\'' +
                ", legalPhone='" + legalPhone + '\'' +
                '}';
    }
}
