
package com.tmerclub.cloud.api.payment.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author Pineapple
 * @date 2021/6/9 16:00
 */
@Data
public class AccountDetailVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "微信金额")
    private Long wechatAmount;

    @Schema(description = "支付宝金额")
    private Long alipayAmount;

    @Schema(description = "余额金额")
    private Long balanceAmount;

    @Schema(description = "积分")
    private Long scoreCount;

    @Schema(description = "微信占比")
    private Double wechatPercent;

    @Schema(description = "支付宝占比")
    private Double alipayPercent;

    @Schema(description = "余额占比")
    private Double balancePercent;

    @Schema(description = "合计")
    private Long total;


    @Override
    public String toString() {
        return "AccountDetailVO{" +
                "wechatAmount=" + wechatAmount +
                ", alipayAmount=" + alipayAmount +
                ", balanceAmount=" + balanceAmount +
                ", scoreCount=" + scoreCount +
                ", wechatPercent=" + wechatPercent +
                ", alipayPercent=" + alipayPercent +
                ", balancePercent=" + balancePercent +
                ", total=" + total +
                '}';
    }
}
