package com.tmerclub.cloud.api.product.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author gaozijie
 * @since 2023-12-01
 */
@Data
public class WarehouseSearchDTO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 系统类型
     */
    private Integer sysType;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 仓库id集合
     */
    private List<Long> warehouseIds;

    /**
     * 店铺id集合
     */
    private List<Long> shopIds;

    /**
     * 区id
     */
    private Long areaId;

    public WarehouseSearchDTO() {
    }


    @Override
    public String toString() {
        return "WarehouseSearchDTO{" +
                "shopId=" + shopId +
                ", sysType=" + sysType +
                ", warehouseName='" + warehouseName + '\'' +
                ", warehouseIds=" + warehouseIds +
                ", shopIds=" + shopIds +
                ", areaId=" + areaId +
                '}';
    }
}
