
package com.tmerclub.cloud.api.user.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户相关订单统计数据
 * @author: cl
 * @date: 2021-04-14 14:04:01
 */
@Data
public class UserOrderStatisticBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "时间")
    private String timeData;

    @Schema(description = "最近消费时间")
    private Date reConsTime;

    @Schema(description = "消费金额")
    private Double consAmount;

    @Schema(description = "实付金额")
    private Long actualAmount;

    @Schema(description = "消费次数")
    private Integer consTimes;

    @Schema(description = "消费人数")
    private Integer payUserCount;

    @Schema(description = "平均折扣")
    private Double averDiscount;

    @Schema(description = "售后金额")
    private Double afterSaleAmount;

    @Schema(description = "售后次数")
    private Integer afterSaleTimes;



    @Override
    public String toString() {
        return "UserOrderStatisticBO{" +
                "userId=" + userId +
                ", timeData=" + timeData +
                ", reConsTime=" + reConsTime +
                ", consAmount=" + consAmount +
                ", actualAmount=" + actualAmount +
                ", consTimes=" + consTimes +
                ", payUserCount=" + payUserCount +
                ", averDiscount=" + averDiscount +
                ", afterSaleAmount=" + afterSaleAmount +
                ", afterSaleTimes=" + afterSaleTimes +
                '}';
    }
}
