package com.tmerclub.cloud.api.user.feign;

import com.tmerclub.cloud.common.order.vo.UserAddrVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * 用户地址feign连接
 *
 * @author tmerclub
 * @date 2020/12/07
 */
public interface UserAddrFeignClient {


    /**
     * 根据地址id获取用户地址信息
     *
     * @param addrId 地址id
     * @return 用户地址信息
     */
    ServerResponseEntity<UserAddrVO> getUserAddrByAddrId(Long addrId);

    /**
     * 根据用户id获取默认地址
     *
     * @param userId
     * @return
     */
    ServerResponseEntity<UserAddrVO> getUserAddrByUserId(Long userId);

    /**
     * 根据地址id获取用户地址信息
     *
     * @param addrId 地址id
     * @param userId 用户id
     * @return 用户地址信息
     */
    ServerResponseEntity<UserAddrVO> cueGetUserAddrByAddrId(Long addrId, Long userId);
}
