
package com.tmerclub.cloud.auth.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用于登陆传递账号密码
 *
 * @author tmerclub
 * @date 2021/01/19
 */
@Data
@ToString
public class BindSocialDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotBlank
    @Schema(description = "尝试社交登录的时候返回的tempUid", requiredMode = Schema.RequiredMode.REQUIRED)
    private String tempUid;

    @NotBlank
    @Schema(description = "校验账号，邮箱 or 手机号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String validAccount;

    @Schema(description = "验证码")
    private String validCode;

}
