
package com.tmerclub.cloud.auth.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户社交登陆信息
 *
 * @author tmerclub
 * @date 2020/07/02
 */
@Data
@ToString
public class AuthSocial extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long id;

    /**
     * 本系统uid
     */
    private Long uid;

    /**
     * 当账户未绑定时，临时的uid
     */
    private String tempUid;

    /**
     * 第三方系统类型 1小程序 2 公众号
     */
    private Integer socialType;

    /**
     * 第三方系统昵称
     */
    private String nickName;

    /**
     * 第三方系统头像
     */
    private String imageUrl;

    /**
     * 第三方系统userid
     */
    private String bizUserId;

    /**
     * 第三方系统unionid
     */
    private String bizUnionid;

    /**
     * 有些时候第三方系统授权之后，会有个临时的key，比如小程序的session_key
     */
    private String bizTempSession;



}
