

package com.tmerclub.cloud.auth.vo;

import com.tmerclub.cloud.api.auth.vo.TokenInfoVO;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * token和tempUid
 *
 * @author tmerclub
 * @date 2022/09/06
 */
@Data
@ToString
public class TokenWithTempUidVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @NotBlank
    @Schema(description = "临时的uid，微信公众号支付需要openid，但用户又不绑定社交账号，所以这个openId是临时的")
    private String tempUid;

    @NotBlank
    @Schema(description = "小程序通过getPhoneNumber方法获取的code")
    private TokenInfoVO tokenInfo;

    public TokenWithTempUidVO(String tempUid, TokenInfoVO tokenInfo) {
        this.tempUid = tempUid;
        this.tokenInfo = tokenInfo;
    }

    public TokenWithTempUidVO() {
    }


}
