
package com.tmerclub.cloud.biz.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * DTO
 *
 * @author lhd
 * @date 2021-05-14 09:35:32
 */
@Data
@ToString
public class NotifyTemplateDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "消息模板表")
    private Long templateId;

    @Schema(description = "通知类型")
    private Integer sendType;

    @Schema(description = "通知内容")
    private String message;

    @Schema(description = "通知方式集合用逗号分隔 1.短信 2.公众号 3.站内消息")
    private String notifyTypes;

    @Schema(description = "短信模板code")
    private String templateCode;

    @Schema(description = "公众号消息模板code")
    private String mpCode;

    @Schema(description = "消息发送类型 1.平台自行发送类型 2.商家 3.供应商")
    private Integer msgType;

    @Schema(description = "1启用 0禁用")
    private Integer status;

    /**
     * 可用通知方式集合用逗号分隔 1.短信 2.公众号 3.站内消息
     */
    private List<Integer> templateTypeList;

    /**
     * tagId 会员标签
     */
    private List<Long> tagIds;


}
