
package com.tmerclub.cloud.biz.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * VO
 *
 * @author lhd
 * @date 2021-03-31 10:37:54
 */
@Data
@ToString
public class NotifyLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "消息记录表")
    private Long logId;

    @Schema(description = "用户昵称or手机号")
    private String nickName;

    @Schema(description = "发送手机号")
    private String userMobile;

    @Schema(description = "通知的用户id")
    private String remindId;

    @Schema(description = "选择发送的店铺id")
    private Long shopId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "通知类型 1.短信发送 2.公众号订阅消息 3.站内消息")
    private Integer remindType;

    @Schema(description = "通知模板")
    private Long templateId;

    @Schema(description = "1.订单催付 2.付款成功通知 3.商家同意退款 4.商家拒绝退款 5.核销提醒 6.发货提醒 7.拼团失败提醒 8.拼团成功提醒 9.拼团开团提醒 10.会员升级提醒 101.退款临近超时提醒 102.确认收货提醒 103.买家发起退款提醒 104.买家已退货提醒")
    private Integer sendType;

    @Schema(description = "通知内容")
    private String message;

    @Schema(description = "是否阅读 1已读 0未读")
    private Integer status;
    @Schema(description = "关联的订单id(等级)")
    private Long bizId;

    /**
     * 关联的商品id
     */
    @Schema(description = "关联的商品id")
    private Long spuId;

    /**
     * 关联的营销活动id
     */
    @Schema(description = "关联的营销活动id")
    private Long activityId;


}
