
package com.tmerclub.cloud.biz.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 二维码数据信息VO
 *
 * @author cl
 * @date 2021-08-13 15:32:12
 */
@Data
@ToString
public class QrcodeTicketVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "二维码ticket id")
    private Long ticketId;

    @Schema(description = "二维码ticket")
    private String ticket;

    @Schema(description = "过期时间")
    private Date expireTime;

    @Schema(description = "二维码类型（1. 小程序团购页面）")
    private Integer type;

    @Schema(description = "二维码实际内容")
    private String content;

    @Schema(description = "这个二维码要跳转的url")
    private String ticketUrl;


}
