
package com.tmerclub.cloud.common.order.bo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author tmerclub
 * @date 2020/12/30
 */
@Data
@ToString
public class OrderStatusBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long orderId;

    private Integer status;

    private Integer deliveryType;

    private Integer orderType;

    private Integer orderMold;

    private Long userId;

    private Long supplierId;
    private Long shopId;

    /**
     * 是否待采购 1.是 0.否
     */
    private Integer waitPurchase;

    /**
     * 实付金额
     */
    private Long actualTotal;

    /**
     * 商家采购价差（需要商家从结算金额补上采购价的金额）
     */
    private Long purchaseSpreadAmount;
    /**
     * 尾款
     */
    private Long balanceAmount;

    /**
     * 定金
     */
    private Long depositAmount;

    /**
     * 预售类型 -1.未开启预售 0.全款预售类型 1.定金预售
     */
    private Integer preSaleType;
    /**
     * 尾款支付结束时间
     */
    private Date balanceEndTime;
    /**
     * 运费
     */
    private Long freightAmount;
    /**
     * 减免运费
     */
    private Long platformFreeFreightAmount;


}
