
package com.tmerclub.cloud.common.order.bo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * 订单退款通知
 * @author tmerclub
 * @date 2020/12/8
 */
@Data
@ToString
public class PayRefundBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 退款单号
     */
    private Long refundId;

    /**
     * 关联的支付订单id
     */
    private Long orderId;

    /**
     * 关联的支付单id
     */
    private Long payId;

    /**
     * 关联的支付单id
     */
    private String payIds;

    /**
     * 退款金额
     */
    private Long refundAmount;
    /**
     * 退回的商家采购金额，通联支付独有
     */
    private Long allinpayRefundPurchaseAmount;

    /**
     * 是否直接退款
     */
    private Integer onlyRefund;

    /**
     * 是否为未成团而退款的团购订单
     */
    private Integer unSuccessGroupOrder;
    /**
     * 店铺id
     */
    private Long shopId;


}
