
package com.tmerclub.cloud.flow.bo;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.CompoundIndex;
import org.springframework.data.mongodb.core.index.CompoundIndexes;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;


/**
 * 区域统计
 *
 * @author YXF
 * @date 2020-07-13 13:18:33
 */
@CompoundIndexes({
        @CompoundIndex(name = "data_type_province_idx", def = "{'dateType':1, 'provinceId':1}")
})
@Document("flow_regional")
@Data
@ToString
public class FlowRegionalBO extends BaseModel implements Serializable {

    public static final Integer ID_LENGTH = 9;

    /**
     * id: 日期（yyMMdd）+ 时间类型 + 省id
     * 长度：8位
     */
    @Id
    private Integer id;

    /**
     * 日、周、月
     */
    private Integer dateType;

    /**
     * 省id
     */
    private Integer provinceId;

    /**
     * 浏览量
     */
    private Integer visitNum;

    /**
     * 访客数
     */
    private Integer visitUserNum;

    /**
     * 商品浏览量
     */
    private Integer spuVisitNum;

    /**
     * 商品访客数
     */
    private Integer spuVisitUserNum;

    /**
     * 加购用户数量
     */
    private Integer plusShopCartUserNum;

    /**
     * 加购数量
     */
    private Long plusShopCartNum;

    /**
     * 下单用户数
     */
    private Integer placeOrderUserNum;

    /**
     * 支付用户数
     */
    private Integer payUserNum;

    /**
     * 下单金额
     */
    private Long placeOrderAmount;

    /**
     * 支付金额
     */
    private Long payAmount;


}
