
package com.tmerclub.cloud.flow.bo;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.CompoundIndex;
import org.springframework.data.mongodb.core.index.CompoundIndexes;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;


/**
 * 商城用户操作行为统计
 *
 * @author YXF
 * @date 2020-07-13 13:18:33
 */
@CompoundIndexes({
        @CompoundIndex(name = "spu_user_idx", def = "{'spuId':1, 'userId':1}")
})
@Document("flow_spu_user")
@Data
@ToString
public class FlowSpuUserBO extends BaseModel implements Serializable{



    /**
     * id: 日期（yyMMdd）+ 编号
     * 长度：18位
     */
    @Id
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 供应商商品id
     */
    private Long supplierSpuId;

    /**
     * 供应商商品id
     */
    private Long supplierId;

    /**
     * 省id
     */
    private Long provinceId;

    /**
     * 是否浏览 1：是  0
     */
    private Integer visit;

    /**
     * 浏览量
     */
    private Integer visitNum;

    /**
     * 是否加购 1：加购  0：未加购
     */
    private Integer plusShopCart;

    /**
     * 加购数量
     */
    private Integer plusShopCartNum;

    /**
     * 是否为新访客数 1：新访客(新用户+新访客)  0：旧访客（旧用户）
     */
    private Integer newVisit;

    /**
     * operateId
     */
    private Long oid;


}
