
package com.tmerclub.cloud.flow.bo;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.CompoundIndex;
import org.springframework.data.mongodb.core.index.CompoundIndexes;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;


/**
 * 商城用户操作行为统计
 *
 * @author YXF
 * @date 2020-07-13 13:18:33
 */
@CompoundIndexes({
        @CompoundIndex(name = "user_idx", def = "{'userId':1}")
})
@Document("flow_user_operation")
@Data
@ToString
public class FlowUserOperationBO extends BaseModel implements Serializable{



    /**
     * id: 日期（yyMMdd）+ 会员类型（1：会员  0：访客）  +编号
     * 长度：18位
     */
    @Id
    private Long id;
    /**
     * 用户id
     */
    private Long userId;


    /**
     * 步骤数
     */
    private Integer step;

    /**
     * 省id
     */
    private Long provinceId;

    /**
     * 浏览量
     */
    private Integer visitNum;

    /**
     * 加购数量
     */
    private Integer plusShopCartNum;

    /**
     * 是否新用户 1：新注册用户  0：老用户
     */
    private Integer newUser;

    /**
     * 是否新会员（付费） 1：新付费会员  0：非新付费会员
     */
    private Integer newVipUser;

    /**
     * 是否付费会员 1：付费会员  0：普通会员
     */
    private Integer vipUser;

    /**
     * 是否为会员 1：会员  0：访客
     */
    private Integer membership;

    /**
     * 是否领优惠券 1：领券  0：未领券
     */
    private Integer receiveCoupon;

    /**
     * 是否下单 1：是  0：否
     */
    private Integer placeOrder;

    /**
     * 是否支付 1：是  0：否
     */
    private Integer pay;

    /**
     * 下单数量
     */
    private Integer placeOrderNum;

    /**
     * 支付数量
     */
    private Integer payNum;

    /**
     * 下单金额
     */
    private Integer placeOrderAmount;

    /**
     * 支付金额
     */
    private Integer payAmount;


}
