
package com.tmerclub.cloud.flow.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


/**
 * 流量分析—页面数据统计表
 *
 * @author YXF
 * @date 2021-06-02
 */
@Data
@ToString
public class FlowAnalysisDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "时间类型 1:自然日  2:自然周 3:自然月 4:今日实时 5:近七天 6:近30天")
    @NotNull(message = "时间类型不能为空")
    private Integer dateType;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "开始时间")
    private Date startTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "结束时间")
    private Date endTime;
    /**
     * 开始时间（时间戳）
     */
    private Long start;
    /**
     * 类型 1:页面统计数据  2:商品详情页数据
     */
    private Integer pageType;
    /**
     * 系统类型 0:全部 1:pc  2:h5  3:小程序 4:安卓  5:ios
     */
    private Integer systemType;


}
