package com.tmerclub.cloud.flow.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 单个商品趋势图
 * @author gaozijie
 * @date 2023-10-09
 */
@Data
@ToString
public class SingleProdTrendDTO {

    @Schema(description = "商品id")
    private Long spuId;

    @Hidden
    @Schema(description = "商家id")
    private Long shopId;

    @Schema(description = "起始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @Schema(description = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    public SingleProdTrendDTO() {
    }


}
