
package com.tmerclub.cloud.flow.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 流量分析—用户数据DTO
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
@Data
@ToString
public class UserAnalysisDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long userAnalysisId;

    @Schema(description = "创建时间")
    private Date createDate;

    @Schema(description = "用户Id（用户未登陆时，为uuid）")
    private String userId;

    @Schema(description = "省Id")
    private Long provinceId;

    @Schema(description = "加购数量")
    private Integer plusShopCart;

    @Schema(description = "下单金额")
    private Long placeOrderAmount;

    @Schema(description = "支付金额")
    private Long payAmount;

    @Schema(description = "浏览量")
    private Integer visitNums;

    @Schema(description = "0:旧用户, 1:新用户, 2.未登陆用户")
    private Integer userType;

    @Schema(description = "会话数")
    private Integer sessionNums;

    @Schema(description = "系统类型 (1:pc  2:h5  3:小程序 4:安卓  5:ios)")
    private Integer systemType;


}
