
package com.tmerclub.cloud.flow.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 流量分析—页面数据统计表
 *
 * @author YXF
 * @date 2021-06-02
 */
@Data
@ToString
public class FlowAnalysisVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "日期时间")
    private String dateTime;

    @Schema(description = "UV价值 (支付金额／访客数)")
    private Long uvAmount;

    @Schema(description = "客单价")
    private Long customerAmount;

    @Schema(description = "流失用户")
    private Integer lossUser;

    @Schema(description = "跳失率")
    private Double lossUserRate;

    @Schema(description = "加购数量")
    private Integer plusShopCart;

    @Schema(description = "加购人数")
    private Integer plusShopCartUser;

    @Schema(description = "下单金额")
    private Long placeOrderAmount;

    @Schema(description = "下单用户")
    private Integer placeOrderUser;

    @Schema(description = "访问-下单率")
    private Double placeOrderRate;

    @Schema(description = "支付金额")
    private Long payAmount;

    @Schema(description = "支付用户")
    private Integer payUser;

    @Schema(description = "访问-支付率")
    private Double payRate;

    @Schema(description = "访问量")
    private Integer visitNums;

    @Schema(description = "人均访问量")
    private Double averageVisitNums;

    @Schema(description = "访客数")
    private Integer userNums;

    @Schema(description = "新访客数")
    private Integer newUserNums;

    @Schema(description = "新访客数")
    private Integer oldUserNum;

    @Schema(description = "系统类型 0:全部 1:pc  2:h5  3:小程序 4:安卓  5:ios")
    private Integer systemType;

    @Schema(description = "增长率")
    private FlowAnalysisRatioVO ratio;

    /**
     * 数据类型 1：新数据  2：旧数据
     */
    private Boolean newData;
    /**
     * 时间(周、月)
     */
    private Integer createDate;
    /**
     * 时间(日)
     */
    private Date day;


}
