package com.tmerclub.cloud.flow.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Data
@ToString
public class FlowProdEffectDataExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "商品洞察";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;

    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty({"商品洞察", "店铺名称"})
    private String shopName;

    @ExcelProperty({"商品洞察", "商品名称"})
    private String spuName;

    @ExcelProperty({"商品洞察", "商品价格"})
    private Long price;

    @ExcelProperty({"商品洞察", "曝光次数"})
    private Integer expose;

    @ExcelProperty({"商品洞察", "曝光人数"})
    private Integer exposePersonNum;

    @ExcelProperty({"商品洞察", "加购人数"})
    private Integer addCartPerson;

    @ExcelProperty({"商品洞察", "加购件数"})
    private Integer addCart;

    @ExcelProperty({"商品洞察", "下单人数"})
    private Integer placeOrderPerson;

    @ExcelProperty({"商品洞察", "支付人数"})
    private Integer payPerson;

    @ExcelProperty({"商品洞察", "下单商品件数"})
    private Integer placeOrderNum;

    @ExcelProperty({"商品洞察", "支付商品件数"})
    private Integer payNum;

    @ExcelProperty({"商品洞察", "商品下单金额"})
    private Double placeOrderAmount;

    @ExcelProperty({"商品洞察", "商品支付金额"})
    private Double payAmount;

    @ExcelProperty({"商品洞察", "申请退款订单数"})
    private Integer refundNum;

    @ExcelProperty({"商品洞察", "申请退款人数"})
    private Integer refundPerson;

    @ExcelProperty({"商品洞察", "成功退款订单数"})
    private Integer refundSuccessNum;

    @ExcelProperty({"商品洞察", "成功退款人数"})
    private Integer refundSuccessPerson;

    @ExcelProperty({"商品洞察", "成功退款金额"})
    private Double refundSuccessAmount;

    @ExcelProperty({"商品洞察", "退款率"})
    private Double refundSuccessRate;

}
