
package com.tmerclub.cloud.flow.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/6/3 10:03
 */
@Data
@ToString
public class FlowUserAnalysisVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "访问深度")
    private List<VisitNum> visitPageList;

    @Schema(description = "访客地域分布")
    private List<UserAnalysisVO> visitUserList;

    @Schema(description = "系统设备-pc")
    private Integer pc;

    @Schema(description = "系统设备-h5")
    private Integer h5;

    @Schema(description = "系统设备-小程序")
    private Integer applets;

    @Schema(description = "系统设备-安卓")
    private Integer android;

    @Schema(description = "系统设备-ios")
    private Integer ios;

    public static class VisitNum implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
        /**
         * 访问页面数量 (编号:访问页面数量)1:1 2:2 3:3 4:4 5:5 6:6-10 7:11-20 8:20+
         */
        private Integer visitId;

        /**
         * 用户数
         */
        private Integer userNums;

        public VisitNum(Integer visitId, Integer userNums) {
            this.visitId = visitId;
            this.userNums = userNums;
        }

        public VisitNum() {
        }
    }
}
