
package com.tmerclub.cloud.flow.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/5/25 14:31
 */
@Data
@ToString
public class ShopFlowInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "浏览量")
    private Long visitCount;

    @Schema(description = "昨天浏览量")
    private Long yesterdayVisitCount;
    @Schema(description = "访客数")
    private Integer visitUserCount;

    @Schema(description = "新访客数量")
    private Integer newVisitUserCount;

    @Schema(description = "老访客数量")
    private Integer oldVisitUserCount;

    @Schema(description = "商品访问流量排行榜")
    private List<ProductFlowInfoVO> prodRanking;

}
