
package com.tmerclub.cloud.group.dto;

import com.tmerclub.cloud.common.order.dto.SubmitOrderDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 拼团订单
 *
 * @author tmerclub
 * @date 2021-04-07 10:39:32
 */
@Data
@ToString
public class SubmitGroupOrderDTO extends SubmitOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "拼团团队id，（如果用户为参团则需要填写对应的拼团团队Id(groupTeamId)，如果为用户为开团,拼团团队Id(groupTeamId)为0）")
    @NotNull(message = "拼团团队id不能为空")
    private Long groupTeamId;


    public Long getGroupTeamId() {
        return groupTeamId;
    }

    public void setGroupTeamId(Long groupTeamId) {
        this.groupTeamId = groupTeamId;
    }

    @Override
    public String toString() {
        return "GroupOrderDTO{" +
                "groupTeamId=" + groupTeamId +
                '}';
    }
}
