
package com.tmerclub.cloud.group.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 拼团团队表
 *
 * @author YXF
 * @date 2021-03-20 10:39:32
 */
@Data
@ToString
public class GroupTeam extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 拼团团队id
     */
    private Long groupTeamId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 拼团活动id
     */
    private Long groupActivityId;

    /**
     * 活动商品Id
     */
    private Long groupSpuId;

    /**
     * 已参团人数
     */
    private Integer joinNum;

    /**
     * 拼团状态(0:待成团，1:拼团中，2:拼团成功，3:拼团失败)
     */
    private Integer status;

    /**
     * 团队订单总额
     */
    private Long totalPrice;

    /**
     * 开始时间（团长支付成功时间）
     */
    private Date startTime;

    /**
     * 剩余时间
     */
    private Date endTime;

    /**
     * 团长user_Id
     */
    private Long shareUserId;

}
