
package com.tmerclub.cloud.group.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 拼团团队表VO
 *
 * @author YXF
 * @date 2021-03-20 10:39:32
 */
@Data
@ToString
public class GroupTeamVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "拼团团队id")
    private Long groupTeamId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "拼团活动id")
    private Long groupActivityId;

    @Schema(description = "活动商品Id")
    private Long groupSpuId;

    @Schema(description = "已参团人数")
    private Integer joinNum;

    @Schema(description = "拼团状态(0:待成团，1:拼团中，2:拼团成功，3:拼团失败)")
    private Integer status;

    @Schema(description = "团队订单总额")
    private Long totalPrice;

    @Schema(description = "开始时间（团长支付成功时间）")
    private Date startTime;

    @Schema(description = "剩余时间")
    private Date endTime;

    @Schema(description = "团长user_Id")
    private Long shareUserId;
    /**
     * 已交易数量
     */
    @Schema(description = "团长user_Id")
    private Integer spuCount;
    /**
     * 团购订单状态
     */
    private Integer groupOrderStatus;

}
