
package com.tmerclub.cloud.group.vo.app;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author YXF
 * @date 2021/3/26
 */
@Data
@ToString
public class AppGroupActivityVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "拼团活动id")
    private Long groupActivityId;

    @Schema(description = "拼团状态(-1:删除、0:未启用、1:启用、2:违规下架、3:等待审核 4:已失效 5:已结束)")
    private Integer status;

    @Schema(description = "活动开始时间")
    private Date startTime;

    @Schema(description = "活动结束时间")
    private Date endTime;

    @Schema(description = "成团人数")
    private Integer groupNumber;

    @Schema(description = "商品是否限购（1:限购、0:不限购）")
    private Integer hasMaxNum;

    @Schema(description = "限购数量")
    private Integer maxNum;

    @Schema(description = "已购买数量")
    private Integer prodCount;

    @Schema(description = "当前用户参团的团队ID（null表示还没有参加该活动）")
    private Long joinGroupTeamId;

    @Schema(description = "开启模拟成团后，拼团有效期内人数未满的团，系统将会模拟“匿名买家”凑满人数，使该团成团。 你只需要对已付款参团的真实买家发货。建议合理开启，以提高成团率。")
    private Integer hasGroupTip;

    @Schema(description = "开启后，商品详情页展示未开始的拼团活动，但活动开始前用户无法拼团购买")
    private Integer isPreheat;

    @Schema(description = "活动状态（活动状态：1:未开始、2:进行中、3:已结束、4:已失效）")
    private Integer activityStatus;

    @Schema(description = "商品活动价格（最低价）")
    private Long price;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "在多少秒后过期")
    private Long expiresIn;

    @Schema(description = "在多少秒后开始")
    private Long startIn;

    @Schema(description = "sku列表")
    private List<AppGroupSkuVO> groupSkuList;

    @Schema(description = "供应商商品类型 0.否 1.是 2.商家代销")
    private Integer supplierSpuType;

    @Schema(description = "发货方式 1.供应商发货 2.仓库发货")
    private Integer supplierDeliveryType;


}
