
package com.tmerclub.cloud.group.vo.app;

import com.tmerclub.cloud.group.vo.mongo.MongoAppGroupUserVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 拼团队伍详情
 *
 * @author YXF
 * @date 2021/3/30
 */
@Data
@ToString
public class AppGroupTeamInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "拼团单信息")
    private AppGroupTeamVO groupTeam;

    @Schema(description = "拼团活动商品信息")
    private AppGroupActivityVO groupActivity;

    @Schema(description = "参团用户列表")
    private List<MongoAppGroupUserVO> groupUserList;

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "spu名称")
    private String spuName;

    @Schema(description = "spu卖点")
    private String sellingPoint;

    @Schema(description = "商品类别 0.实物商品 1. 虚拟商品 2.组合商品")
    private Integer spuMold;

    @Schema(description = "是否可以退款 1.可以 0.不可以")
    private Integer isRefund;

    @Schema(description = "商品介绍主图")
    private String mainImgUrl;

    @Schema(description = "售价，整数方式保存")
    private Long priceFee;


}
