
package com.tmerclub.cloud.group.vo.app;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author YXF
 * @date 2021/3/26
 */
@Data
@ToString
public class AppGroupTeamVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "拼团团队id")
    private Long groupTeamId;

    @Schema(description = "活动成团人数")
    private Integer groupNumber;

    @Schema(description = "已参团人数")
    private Integer joinNum;

    @Schema(description = "结束时间")
    private Date endTime;

    @Schema(description = "服务器当前时间")
    private Date nowTime;

    @Schema(description = "团长user_Id")
    private Long shareUserId;

    @Schema(description = "团长昵称")
    private String shareNickName;

    @Schema(description = "团长头像")
    private String sharePic;

    @Schema(description = "团订单状态(0:待成团，1:拼团中，2:拼团成功，3:拼团失败)")
    private String status;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 拼团活动ID
     */
    private Long groupActivityId;

    @Schema(description = "团购活动商品id")
    private Long groupSpuId;


}
