
package com.tmerclub.cloud.group.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 拼团活动用户信息
 * @author YXF
 */
@Document("group_order")
@Data
@ToString
public class MongoAppGroupUserVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "用户ID（当ID为0时标识为机器人）")
    private Long userId;

    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "用户头像")
    private String pic;

    @Schema(description = "用户类型(0:成员  1:团长)")
    private Integer identityType;

    @Schema(description = "创建时间")
    private Date createTime;

    }
