
package com.tmerclub.cloud.group.vo.mongo;

import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

/**
 * Mongodb拼团订单表
 * @author TRACK
 */
@Document("group_order")
@Data
@ToString
public class MongoGroupOrderVO {
    /**
     * 拼团订单id
     */
    private Long groupOrderId;

    /**
     * 拼团活动id
     */
    private Long groupActivityId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 拼团团队id
     */
    private Long groupTeamId;

    /**
     * user_id(当user_id为0时标识为机器人)
     */
    private Long userId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 身份标识(0:成员  1:团长)
     */
    private Integer identityType;

    /**
     * 活动商品金额
     */
    private Long activityProdPrice;

    /**
     * 支付金额
     */
    private Long payPrice;

    /**
     * 订单编号
     */
    private Long orderId;

    /**
     * 状态(0:待支付、1:支付成功、-1:失效)
     */
    private Integer status;

    /**
     * 商品数量
     */
    private Integer count;

    }
