
package com.tmerclub.cloud.im.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 用户最近聊天记录表
 *
 * @author tmerclub
 * @date 2021-08-25 13:58:56
 */
@Data
@ToString
public class ImMsgBizUser extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 自增主键
     */
    private Long id;

    /**
     * 发送类型1平台2商家
     */
    private Integer sendType;

    /**
     * 平台或商家id
     */
    private Long bizId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 员工id
     */
    private Long employeeId;

    /**
     * 平台或商家未读条数
     */
    private Integer bizUnreadNum;

    /**
     * 用户未读条数
     */
    private Integer userUnreadNum;

    /**
     * 最后一条消息id
     */
    private Long lastMsgId;

    /**
     * 最后一条消息类型,0文字1商品信息2图片
     */
    private Integer lastMsgType;

    /**
     * 最后一条消息内容
     */
    private String lastMsgContent;

    /**
     * 最后一条消息谁发的0系统1员工2用户
     */
    private Integer lastMsgWhoSend;

    /**
     * 最后一条消息时间
     */
    private LocalDateTime lastMsgTime;

}
