
package com.tmerclub.cloud.im.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 店铺和用户历史聊天记录表
 *
 * @author tmerclub
 * @date 2021-08-25 13:58:56
 */
@Data
@ToString
public class ImMsgBizUserHistory extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 自增主键
     */
    private Long id;

    /**
     * 聊天对象id
     */
    private Long imMsgBizUserId;

    /**
     * 发送类型1平台2商家
     */
    private Integer sendType;

    /**
     * 平台或商家id
     */
    private Long bizId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 员工id
     */
    private Long employeeId;

    /**
     * 消息类型,0文字1商品信息2图片
     */
    private Integer type;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息谁发的0系统1员工2用户
     */
    private Integer whoSend;

    /**
     * 用户是否已读
     */
    private Integer userUnread;

    /**
     * 员工是否已读
     */
    private Integer employeeUnread;

    /**
     * 消息可见范围：0.所有人可见 1.仅自己可见
     */
    private Integer readRange;

    /**
     * 客服昵称
     */
    private String nickName;

}
