package com.tmerclub.cloud.cuerecycle.mapper;

import com.tmerclub.cloud.cuerecycle.model.CueSeries;
import com.tmerclub.cloud.cuerecycle.model.dto.CueSeriesDTO;
import com.tmerclub.cloud.cuerecycle.model.vo.CueSeriesVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 球杆系列Mapper接口
 *
 * @author : frank
 * @create : 2025-04-13
 */
public interface CueSeriesMapper {

    /**
     * 查询球杆系列列表
     *
     * @param cueSeriesDTO 查询参数
     * @return 球杆系列列表数据
     */
    List<CueSeriesVO> list(@Param("dto") CueSeriesDTO cueSeriesDTO);

    /**
     * 获取球杆系列详情
     *
     * @param seriesId 主键
     * @return 球杆系列详情
     */
    CueSeriesVO getById(Long seriesId);

    /**
     * 新增球杆系列
     *
     * @param cueSeries 新增参数
     * @return 新增结果
     */
    int save(CueSeries cueSeries);

    /**
     * 修改球杆系列
     *
     * @param cueSeries 修改参数
     * @return 修改结果
     */
    int update(CueSeries cueSeries);
}