package com.tmerclub.cloud.cuerecycle.model.dto;

import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 同意回收业务对象
 *
 * @author: frank
 * @create: 2025-04-18
 **/
@Data
public class CueAgreeOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单ID
     */
    @NotNull(message = "订单ID不能为空")
    private Long orderId;
    /**
     * 类型：1-回收，2-置换，3-寄售
     */
    @NotNull(message = "类型不能为空")
    private Integer cueOrderType;
}
