package com.tmerclub.cloud.cuerecycle.model.dto;

import com.tmerclub.cloud.common.validate.AddGroup;
import com.tmerclub.cloud.common.validate.EditGroup;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆缺陷对象
 *
 * @author :  frank
 * @create :  2025-04-13
 */
@Data
public class CueFlawDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
	@NotNull(message = "主键ID不能为空", groups = {EditGroup.class})
    private Long flawId;
    /**
     * 缺陷名称
     */
	@NotBlank(message = "缺陷名称不能为空", groups = {AddGroup.class})
    private String flawName;
    /**
     * 缺陷影响价格
     */
	@NotBlank(message = "缺陷名称不能为空", groups = {AddGroup.class})
    private Long flawPrice;
    /**
     * 排序
     */
    private Integer flawSeq;
    /**
     * 状态：0-禁用，1-启用
     */
    private Integer flawStatus;
    /**
     * 删除状态 0-未删除 1-已删除
     */
    private Integer deleted;
}