package com.tmerclub.cloud.cuerecycle.model.dto;

import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 后管操作球杆退回业务对象
 *
 * @author: frank
 * @create: 2025-04-18
 **/
@Data
public class CueRetractedDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单ID
     */
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    /**
     * 用户退货网点ids
     */
    @NotNull(message = "网点不能为空")
    private Long outletConfigId;
    /**
     * 用户退货打印机id
     */
    @NotNull(message = "打印机不能为空")
    private Long printerId;
}
