package com.tmerclub.cloud.warehouse.model.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 仓库对象
 *
 * @author :  frank
 * @create :  2025-04-14
 */
@Data
public class WarehouseDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long warehouseId;
    /**
     * 店铺ID
     */
    private Long shopId;
    /**
     * 仓库名称
     */
    private String warehouseName;
    /**
     * 状态：0-禁用，1-启用
     */
    private Integer warehouseStatus;
    /**
     * 负责人姓名
     */
    private String principalName;
    /**
     * 负责人电话
     */
    private String principalPhone;
    /**
     * 省ID
     */
    private Long provinceId;
    /**
     * 省
     */
    private String province;
    /**
     * 城市ID
     */
    private Long cityId;
    /**
     * 城市
     */
    private String city;
    /**
     * 区ID
     */
    private Long areaId;
    /**
     * 区
     */
    private String area;
    /**
     * 邮编
     */
    private String postCode;
    /**
     * 地址
     */
    private String addr;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 删除状态 0-未删除 1-已删除
     */
    private Integer deleted;
}