
package com.tmerclub.cloud.combo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 套餐订单表DTO
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
@Data
@ToString
public class ComboOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "套餐订单id")
    private Long comboOrderId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "套餐id")
    private Long comboId;

    @Schema(description = "user_id")
    private String userId;

    @Schema(description = "套餐数量")
    private Integer comboNum;

    @Schema(description = "支付金额")
    private Double payPrice;

    @Schema(description = "订单编号")
    private String orderNumber;

    @Schema(description = "状态(0:待支付、1:支付成功)")
    private Integer status;

}
