
package com.tmerclub.cloud.combo.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 套装
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
@Data
@ToString
public class Combo extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 套装id
     */
    private Long comboId;

    /**
     * 套餐名称
     */
    private String name;

    /**
     * 活动开始时间
     */
    private Date startTime;

    /**
     * 活动结束时间
     */
    private Date endTime;

    /**
     * 主商品id
     */
    private Long mainSpuId;

    /**
     * 套餐价格
     */
    private Long price;

    /**
     * 销量
     */
    private Integer soldNum;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 状态 -1：已删除 0：关闭 1:进行中
     */
    private Integer status;

}
