
package com.tmerclub.cloud.combo.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 套餐订单表
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
@Data
@ToString
public class ComboOrder extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 套餐订单id
     */
    private Long comboOrderId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 套餐id
     */
    private Long comboId;

    /**
     * user_id
     */
    private String userId;

    /**
     * 套餐数量
     */
    private Integer comboNum;

    /**
     * 支付金额
     */
    private Double payPrice;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 状态(0:待支付、1:支付成功)
     */
    private Integer status;

}
