
package com.tmerclub.cloud.distribution.controller.app;


import com.tmerclub.cloud.api.platform.vo.DistributionConfigApiVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.distribution.service.DistributionConfigService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 分销设置信息
 *
 * @author cl
 * @date 2021-08-12 09:46:26
 */
@RestController("appDistributionConfigController")
@RequestMapping("/distribution_set")
@Tag(name = "分销设置信息")
public class DistributionConfigController {

    @Autowired
    private DistributionConfigService distributionConfigService;

    @GetMapping("/info")
    @Operation(summary = "获取分销设置信息")
    public ServerResponseEntity<DistributionConfigApiVO> info() {
        return ServerResponseEntity.success(distributionConfigService.getDistributionConfig());
    }

}
