
package com.tmerclub.cloud.delivery.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 物流公司DTO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
@Data
@ToString
public class DeliveryCompanyDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "ID")
    private Long deliveryCompanyId;

    @Schema(description = "物流公司名称")
    private String name;

    @Schema(description = "公司主页")
    private String homeUrl;

    @Schema(description = "物流公司编号(阿里)")
    private String aliNo;

    @Schema(description = "物流公司编号(快递鸟)")
    private String birdNo;

    @Schema(description = "物流公司编号(快递100)")
    private String hundredNo;

    @Schema(description = "物流公司编号(其他不知名公司)")
    private String otherNo;


}
