
package com.tmerclub.cloud.delivery.dto;

import com.tmerclub.cloud.common.order.dto.AreaDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 运费项DTO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
@Data
@ToString
public class TransfeeDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "运费项id")
    private Long transfeeId;

    @Schema(description = "运费模板id")
    private Long transportId;

    @Schema(description = "续件数量")
    private Double continuousPiece;

    @Schema(description = "首件数量")
    private Double firstPiece;

    @Schema(description = "续件费用")
    private Long continuousFee;

    @Schema(description = "首件费用")
    private Long firstFee;

    @Schema(description = "指定条件运费城市项")
    private List<AreaDTO> cityList;

}
