
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 物流公司
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
@Data
@ToString
public class DeliveryCompany extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    private Long deliveryCompanyId;

    /**
     * 物流公司名称
     */
    private String name;

    /**
     * 公司主页
     */
    private String homeUrl;

    /**
     * 物流公司编号(阿里)
     */
    private String aliNo;

    /**
     * 物流公司编号(快递鸟)
     */
    private String birdNo;

    /**
     * 物流公司编号(快递100)
     */
    private String hundredNo;

    /**
     * 物流公司编号(其他不知名公司)
     */
    private String otherNo;

}
