
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 订单快递信息
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
@Data
@ToString
public class DeliveryOrder extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单物流包裹id
     */
    private Long deliveryOrderId;

    /**
     * 订单号
     */
    private Long orderId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 快递公司id
     */
    private Long deliveryCompanyId;

    /**
     * 快递单号
     */
    private String deliveryNo;

    /**
     * 收件人姓名
     */
    private String consigneeName;

    /**
     * 收件人电话（顺丰快递需要）
     */
    private String consigneeMobile;

    /**
     * 物流状态 1正常 -1删除
     */
    private Integer status;

    /**
     * 包裹商品总数
     */
    private Integer allCount;

    /**
     * 删除时间
     */
    private Date deleteTime;

    /**
     * 物流公司名称
     */
    private String companyName;

    /**
     * 包裹项
     */
    private List<DeliveryOrderItem> deliveryOrderItemList;

    /**
     * 发货方式(0.线上发货 1.自行联系快递 2.用户自提 3.无需物流 4.同城配送)
     */
    private Integer deliveryType;


}
