
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 同城配送信息
 *
 * @author tmerclub
 * @date 2020-12-16 15:33:57
 */
@Data
@ToString
public class SameCity extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 同城配送
     */
    private Long samecityId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 配送区域经纬度json
     */
    private String positionInfo;

    /**
     * 收费类型 1按区域收取固定配送费 2按距离收取配送费
     */
    private Integer chargeType;

    /**
     * 起送价 是优惠券/码和满减优惠抵扣前的商品金额，运费不计入起送价。
     */
    private Long startFee;

    /**
     * 配送费
     */
    private Long deliveryFee;

    /**
     * 默认距离(km)
     */
    private Double defaultDistance;

    /**
     * 每超出距离(km)
     */
    private Double overDistance;

    /**
     * 每超出距离费用
     */
    private Long overDistanceFee;

    /**
     * 免费重量
     */
    private Double freeWeight;

    /**
     * 续重重量
     */
    private Double overWeight;

    /**
     * 续重费用
     */
    private Long overWeightFee;

    /**
     * 启用状态 1启用 0未启用
     */
    private Integer status;

    /**
     * 经度
     */
    private Double lng;

    /**
     * 纬度
     */
    private Double lat;

    /**
     * 省ID
     */
    private Long provinceId;

    /**
     * 省
     */
    private String province;

    /**
     * 城市ID
     */
    private Long cityId;

    /**
     * 城市
     */
    private String city;

    /**
     * 区ID
     */
    private Long areaId;

    /**
     * 区
     */
    private String area;

    /**
     * 详细地址
     */
    private String detailAddress;

    /**
     * 店铺所在经度
     */
    private String shopLng;

    /**
     * 店铺所在纬度
     */
    private String shopLat;


}
