
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 运费模板
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
@Data
@ToString
public class Transport extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 运费模板id
     */
    private Long transportId;

    /**
     * 运费模板名称
     */
    private String transName;

    /**
     * 系统类型见SysTypeEnum 0.普通用户系统 1.商家端 2平台端 3供应商端
     */
    @Schema(description = "系统类型")
    private Integer sysType;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 收费方式（0 按件数,1 按重量 2 按体积）
     */
    private Integer chargeType;

    /**
     * 是否包邮 0:不包邮 1:包邮
     */
    private Integer isFreeFee;

    /**
     * 是否含有包邮条件 0 否 1是
     */
    private Integer hasFreeCondition;

}
