
package com.tmerclub.cloud.delivery.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 物流订单项信息VO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
@Data
@ToString
public class DeliveryOrderItemVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long id;

    @Schema(description = "订单物流包裹id")
    private Long deliveryOrderId;

    @Schema(description = "商品图片")
    private String imgUrl;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品数量")
    private Integer count;


}
