
package com.tmerclub.cloud.order.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 虚拟订单核销记录
 *
 * @author TRACK
 */
@Data
@ToString
public class OrderVirtualInfoLogBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "核销日志id")
    private Long orderVirutalInfoLogId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "订单号")
    private Long orderId;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @Schema(description = "自提点id")
    private Long stationId;

    @Schema(description = "核销门店")
    private String stationName;

    @Schema(description = "核销码")
    private String writeOffCode;

    @Schema(description = "是否核销 1.已核销 0.未核销")
    private Integer isWriteOff;

    @Schema(description = "核销时间是否过期 1是 0 否")
    private Integer isExpired;

}
