
package com.tmerclub.cloud.order.bo.mongo;

import com.tmerclub.cloud.common.order.vo.OrderItemLangVO;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.annotation.Transient;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单退款记录信息
 *
 * @author YXF
 * @date 2022/8/23
 */
@Data
@ToString
public class MongoOrderRefundItemBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单项id
     */
    private Long orderItemId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * skuId
     */
    private Long skuId;

    /**
     * 中文商品名称
     */
    private String spuNameZh;

    /**
     * 英文商品名称
     */
    private String spuNameEn;

    /**
     * 中文sku名称
     */
    private String skuNameZh;

    /**
     * 英文sku名称
     */
    private String skuNameEn;

    /**
     * 商品图片
     */
    private String pic;

    /**
     * 供应商商品名称
     */
    private String supplierSpuName;

    /**
     * 供应商sku名称
     */
    private String supplierSkuName;

    /**
     * 供应商中文商品名称
     */
    private String supplierSpuNameZh;

    /**
     * 供应商英文商品名称
     */
    private String supplierSpuNameEn;

    /**
     * 供应商中文sku名称
     */
    private String supplierSkuNameZh;

    /**
     * 供应商英文sku名称
     */
    private String supplierSkuNameEn;

    /**
     * 供应商商品图片
     */
    private String supplierPic;

    /**
     * sku编码
     */
    private String partyCode;

    /**
     * 商品数量
     */
    private Integer count;

    /**
     * 商品价格
     */
    private Long price;

    /**
     * 产品总价格
     */
    private Long spuTotalAmount;

    /**
     * 商品实际金额
     */
    private Long actualTotal;

    /**
     * 商品实际金额
     */
    private Long refundAmount;

    /**
     * 平台优惠金额
     */
    private Long platformShareReduce;

    /**
     * 退还积分
     */
    private Long refundScore;

    /**
     * 活动id
     */
    private Long activityId;

    /**
     * 活动类型
     */
    private Integer activityType;

    /**
     * 订单项国际化信息
     * @return
     */
    @Transient
    private List<OrderItemLangVO> orderItemLangList;

}
