
package com.tmerclub.cloud.order.dto.app;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 申请退款参数
 *
 * @author tmerclub
 */
@Data
@ToString
public class OrderRefundPageDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单号")
    private Long orderId;

    @Schema(description = "退款单类型（1:整单退款,2:单个物品退款）")
    private Integer refundType;

    @Schema(description = "申请类型:1,仅退款,2退款退货")
    private Integer applyType;

    @Schema(description = "手机号码（默认当前订单手机号码）")
    private String buyerMobile;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "退款单号")
    private Long refundId;

    @Schema(description = "退款申请开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @Schema(description = "退款申请结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @Schema(description = "处理退款状态:(1.买家申请 2.卖家接受 3.买家发货 4.卖家收货 5.退款成功  -1.退款关闭)")
    private Integer returnMoneySts;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "订单类型 1团购订单 2秒杀订单 3积分订单")
    private Integer orderType;

    private Integer sysType;

    private Long supplierId;

}
