
package com.tmerclub.cloud.order.dto.multishop;

import com.tmerclub.cloud.order.dto.OrderAddrDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单参数
 *
 * @author tmerclub
 * @date 2020-12-04 11:27:35
 */
@Data
@ToString
public class OrderAdminDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "运费金额")
    private Long freightAmount;

    @Schema(description = "订单项")
    private List<OrderItemDTO> orderItems;

    @Schema(description = "用户收货地址")
    private OrderAddrDTO orderAddrDTO;

    @Schema(description = "支付完成回跳地址", requiredMode = Schema.RequiredMode.REQUIRED)
    private String returnUrl;

}
