
package com.tmerclub.cloud.order.mapper;

import com.tmerclub.cloud.order.model.OrderRefundIntervention;
import com.tmerclub.cloud.order.vo.OrderRefundInterventionVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 订单退款介入记录信息
 *
 * @author tmerclub
 * @date 2023-08-25 10:45:35
 */
public interface OrderRefundInterventionMapper {

    /**
     * 获取订单退款介入记录信息列表
     *
     * @param refundId
     * @return 订单退款介入记录信息列表
     */
    List<OrderRefundInterventionVO> listByRefundId(@Param("refundId") Long refundId);

    /**
     * 根据订单退款介入记录信息id获取订单退款介入记录信息
     *
     * @param refundIntervertionId 订单退款介入记录信息id
     * @return 订单退款介入记录信息
     */
    OrderRefundIntervention getByRefundIntervertionId(@Param("refundIntervertionId") Long refundIntervertionId);

    /**
     * 保存订单退款介入记录信息
     * @param orderRefundIntervention 订单退款介入记录信息
     */
    void save(@Param("orderRefundIntervention") OrderRefundIntervention orderRefundIntervention);

    /**
     * 更新订单退款介入记录信息
     * @param orderRefundIntervention 订单退款介入记录信息
     */
    void update(@Param("orderRefundIntervention") OrderRefundIntervention orderRefundIntervention);

    /**
     * 根据订单退款id删除订单退款介入记录信息
     * @param refundIntervertirefundIdonId
     */
    void deleteById(@Param("refundId") Long refundId);
}
