
package com.tmerclub.cloud.order.mapper;

import com.tmerclub.cloud.order.model.PurchaseOrderItemLang;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 订单项-国际化
 *
 * @author lhd
 * @date 2022-06-27 17:49:07
 */
public interface PurchaseOrderItemLangMapper {

    /**
     * 获取订单项-国际化列表
     * @return 订单项-国际化列表
     */
    List<PurchaseOrderItemLang> list();

    /**
     * 根据订单项-国际化id获取订单项-国际化
     *
     * @param purchaseItemId 订单项-国际化id
     * @return 订单项-国际化
     */
    PurchaseOrderItemLang getByPurchaseItemId(@Param("purchaseItemId") Long purchaseItemId);

    /**
     * 保存订单项-国际化
     * @param purchaseOrderItemLang 订单项-国际化
     */
    void save(@Param("purchaseOrderItemLang") PurchaseOrderItemLang purchaseOrderItemLang);

    /**
     * 更新订单项-国际化
     * @param purchaseOrderItemLang 订单项-国际化
     */
    void update(@Param("purchaseOrderItemLang") PurchaseOrderItemLang purchaseOrderItemLang);

    /**
     * 根据订单项-国际化id删除订单项-国际化
     * @param purchaseItemId
     */
    void deleteById(@Param("purchaseItemId") Long purchaseItemId);

    /**
     * 保存订单项-国际化
     * @param orderItemLangList 订单项-国际化
     */
    void saveBatch(@Param("orderItemLangList") List<PurchaseOrderItemLang> orderItemLangList);
}
