
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author Pineapple
 * @date 2021/8/2 8:52
 */
@Data
@ToString
public class OrderInvoice extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单发票ID
     */
    private Long orderInvoiceId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 发票类型 1.电子普通发票
     */
    private Integer invoiceType;

    /**
     * 抬头类型 1.单位 2.个人
     */
    private Integer headerType;

    /**
     * 抬头名称
     */
    private String headerName;

    /**
     * 发票税号
     */
    private String invoiceTaxNumber;

    /**
     * 发票内容 1.商品明细
     */
    private Integer invoiceContext;

    /**
     * 发票状态 1.申请中 2.已开票
     */
    private Integer invoiceState;

    /**
     * 文件id
     */
    private Long fileId;

    /**
     * 申请时间
     */
    private Date applicationTime;

    /**
     * 上传时间
     */
    private Date uploadTime;

    private Integer orderStatus;

}
