
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 订单预售信息
 *
 * @author lhd
 * @date 2022-08-17 16:36:47
 */
@Data
@ToString
public class OrderPreSaleInfo extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long orderPreSaleInfoId;

    /**
     * 订单编号
     */
    private Long orderId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 定金金额
     */
    private Long depositAmount;

    /**
     * 定金优惠金额
     */
    private Long depositReduceAmount;

    /**
     * 定金膨胀金额
     */
    private Long depositExpansionAmount;
    /**
     * 预售类型 -1.未开启预售 0.全款预售类型 1.定金预售
     */
    private Integer preSaleType;
    /**
     * 尾款金额
     */
    private Long balanceAmount;

    /**
     * 尾款支付开始时间
     */
    private Date balanceStartTime;

    /**
     * 尾款支付结束时间
     */
    private Date balanceEndTime;
    /**
     * 尾款支付时间
     */
    private Date balancePayTime;
    /**
     * 定金预售支付状态 1.已支付定金 2.已支付尾款
     */
    private Integer payStatus;

    /**
     * 预售发货类型 -1.固定时间 x.尾款支付后x天发货
     */
    private Integer preSaleDeliveryType;

    /**
     * 预售发货时间
     */
    private Date preSaleDeliveryTime;

}
