
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 用户退货物流地址
 *
 * @author tmerclub
 * @date 2021-03-09 13:44:31
 */
@Data
@ToString
public class OrderRefundAddr extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 物流ID
     */
    private Long refundAddrId;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 退款号
     */
    private Long refundId;

    /**
     * 买家ID
     */
    private Long userId;

    /**
     * 物流公司ID
     */
    private Long deliveryCompanyId;

    /**
     * 物流公司名称
     */
    private String deliveryName;

    /**
     * 物流单号
     */
    private String deliveryNo;

    /**
     * 收件人姓名
     */
    private String consigneeName;

    /**
     * 收件人电话（顺丰快递需要）
     */
    private String consigneeMobile;

    /**
     * 收件人座机
     */
    private String consigneeTelephone;

    /**
     * 收件人邮政编码
     */
    private String consigneePostCode;

    /**
     * 收件人地址
     */
    private String consigneeAddr;

    /**
     * 发送人手机号码
     */
    private String senderMobile;

    /**
     * 买家备注
     */
    private String senderRemarks;

    /**
     * 图片凭证
     */
    private String imgs;

}
