
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 订单结算表
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
@Data
@ToString
public class OrderSettlement extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付结算单据ID
     */
    private Long settlementId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 支付单号
     */
    private Long payId;

    /**
     * 支付单号集合
     */
    private String payIds;

    /**
     * 是否清算 0:否 1:是
     */
    private Integer isClearing;

    /**
     * 支付积分
     */
    private Long payScore;

    /**
     * 支付金额
     */
    private Long payAmount;

    /**
     * 清算时间
     */
    private Date clearingTime;

    /**
     * 版本号
     */
    private Integer version;

    /**
     * 支付方式
     */
    private Integer payType;

}
