
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 采购订单
 *
 * @author lhd
 * @date 2022-06-22 17:12:02
 */
@Data
@ToString
public class PurchaseOrder extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 采购id
     */
    private Long purchaseOrderId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 送达时间
     */
    private Date deliverTime;

    /**
     * 发货时间
     */
    private Date deliveryTime;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 总采购金额
     */
    private Double totalAmount;

    /**
     * 总采购库存数量
     */
    private Integer totalStock;

    /**
     * 实际总库存数量
     */
    private Integer actualTotalStock;

    /**
     * 状态 0:已作废 1:待入库 2:已发货 3:部分入库 4:待付款 5:已完成
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 操作员工id
     */
    private Long employeeId;

    /**
     * 配送类型 1:快递 2:自提 3：无需快递 4同城配送
     */
    private Integer deliveryType;

    /**
     * 采购订单地址
     */
    private Long purchaseOrderAddrId;

    /**
     * 付款凭证图片 多个图片逗号分隔
     */
    private String voucherImgUrls;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 供应商仓库id
     */
    private Long supplierWarehouseId;

    /**
     * 库存点类型
     */
    private Integer stockPointType;

}
