
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 采购商品
 *
 * @author lhd
 * @date 2022-06-22 17:12:02
 */
@Data
@ToString
public class PurchaseOrderItem extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long purchaseItemId;

    /**
     * 采购订单号
     */
    private Long purchaseOrderId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * sku id
     */
    private Long skuId;

    /**
     * 采购金额
     */
    private Long purchaseAmount;

    /**
     * 采购价
     */
    private Long purchasePrice;

    /**
     * 采购库存数量
     */
    private Integer purchaseStock;

    /**
     * 实际库存数量
     */
    private Integer actualStock;
    /**
     * 实际库存数量
     */
    private Integer deliveryType;

    /**
     * 状态 0:已作废 1:待入库 2:已发货 3.部分入库 5:已完成
     */
    private Integer status;

    /**
     * 商品编码
     */
    private String spuCode;
    /**
     * sku编码
     */
    private String partyCode;

    /**
     * 商品图片
     */
    private String pic;
    /**
     * 待发货数量
     */
    private Integer beDeliveredNum;

    @Schema(description = "spu名称列表")
    private List<PurchaseOrderItemLang> purchaseOrderItemLangList;

}
