
package com.tmerclub.cloud.order.service;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.order.model.PurchaseOrderItem;
import com.tmerclub.cloud.order.model.PurchaseOrderItemLang;

import java.util.List;

/**
 * 订单项-国际化
 *
 * @author lhd
 * @date 2022-06-27 17:49:07
 */
public interface PurchaseOrderItemLangService {

    /**
     * 分页获取订单项-国际化列表
     * @param pageDTO 分页参数
     * @return 订单项-国际化列表分页数据
     */
    PageVO<PurchaseOrderItemLang> page(PageDTO pageDTO);

    /**
     * 根据订单项-国际化id获取订单项-国际化
     *
     * @param purchaseItemId 订单项-国际化id
     * @return 订单项-国际化
     */
    PurchaseOrderItemLang getByPurchaseItemId(Long purchaseItemId);

    /**
     * 保存订单项-国际化
     * @param purchaseOrderItemLang 订单项-国际化
     */
    void save(PurchaseOrderItemLang purchaseOrderItemLang);

    /**
     * 更新订单项-国际化
     * @param purchaseOrderItemLang 订单项-国际化
     */
    void update(PurchaseOrderItemLang purchaseOrderItemLang);

    /**
     * 根据订单项-国际化id删除订单项-国际化
     * @param purchaseItemId 订单项-国际化id
     */
    void deleteById(Long purchaseItemId);

    /**
     * 保存订单项语言信息
     * @param purchaseOrderItems
     */
    void saveOrderItemLang(List<PurchaseOrderItem> purchaseOrderItems);

}
