package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.product.vo.SkuLangVO;
import com.tmerclub.cloud.common.product.vo.SpuLangVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * 调拨订单商品VO
 * @author gaozijie
 * @date 2023-11-20
 */
@Data
@ToString
public class AllotOrderItemVO {

    @Schema(description = "调拨订单商品id")
    private Long allotOrderItemId;

    @Schema(description = "商品spuId")
    private Long spuId;

    @Schema(description = "spu名称多语言")
    private List<SpuLangVO> spuLangVOList;

    @Schema(description = "商品skuId")
    private Long skuId;

    @Schema(description = "商品编码")
    private String partyCode;

    @Schema(description = "sku名称多语言")
    private List<SkuLangVO> skuLangVOList;

    @Schema(description = "商品主图")
    private String mainImgUrl;

    @Schema(description = "商品规格图")
    private String imgUrl;

    @Schema(description = "调拨数量")
    private Integer allotCount;

    @Schema(description = "调拨入库数量")
    private Integer allotInCount;

    @Schema(description = "入库数量")
    private Integer inboundCount;

    public AllotOrderItemVO() {
    }

}
