
package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 退款支付结算单据VO
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
@Data
@ToString
public class OrderRefundSettlementVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "退款结算单据id")
    private Long settlementId;

    @Schema(description = "订单支付单号")
    private Long payId;

    @Schema(description = "订单编号")
    private Long orderId;

    @Schema(description = "退款单编号（本系统退款单号）")
    private Long refundId;

    @Schema(description = "用户ID")
    private Long userId;

    @Schema(description = "微信/支付宝退款单号（支付平台退款单号）")
    private String bizRefundNo;

    @Schema(description = "支付方式(1:微信支付 2支付宝支付)")
    private Integer payType;

    @Schema(description = "退款状态(1:申请中 2：已完成 -1失败)")
    private Integer refundStatus;

    @Schema(description = "退款金额")
    private Long refundAmount;

    @Schema(description = "订单总额")
    private Long orderTotalAmount;

    @Schema(description = "版本号")
    private Integer version;

}
