
package com.tmerclub.cloud.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author lth
 */
@Data
@ToString
public class OrderRefundStatisticsVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 退款金额
     */
    @Schema(description = "退款金额")
    private Long payActualTotal;

    /**
     * 退款商品数量
     */
    @Schema(description = "退款商品数量")
    private Long refundSpuCount;
    /**
     * 退款成功订单数
     */
    @Schema(description = "退款成功订单数")
    private Integer refundCount;
    /**
     * 总订单数
     */
    @Schema(description = "总订单数")
    private Integer totalOrderCount;
    /**
     * 退款原因
     */
    @Schema(description = "退款原因")
    private String buyerReason;

    /**
     * 商品ID
     */
    @Schema(description = "商品ID")
    private Long spuId;
    /**
     * 退款商品名称
     */
    @Schema(description = "退款商品名称")
    private String refundProdName;
    /**
     * 店铺id
     */
    @Schema(description = "店铺id")
    private Long shopId;
    /**
     * 店铺名称
     */
    @Schema(description = "店铺名称")
    private String shopName;
    /**
     * 退款率
     */
    @Schema(description = "退款率")
    private Double refundRate;
    /**
     * 退款日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Schema(description = "退款日期")
    private Date refundDate;
    /**
     * 退款日期
     */
    @Schema(description = "退款日期")
    private String refundDateToString;

}
