
package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 订单结算表VO
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
@Data
@ToString
public class OrderSettlementVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "支付结算单据ID")
    private Long settlementId;

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "支付单号")
    private Long payId;

    @Schema(description = "是否清算 0:否 1:是")
    private Integer isClearing;

    @Schema(description = "支付积分")
    private Long payScore;

    @Schema(description = "支付金额")
    private Long payAmount;

    @Schema(description = "清算时间")
    private Date clearingTime;

    @Schema(description = "版本号")
    private Integer version;

}
