
package com.tmerclub.cloud.order.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.tmerclub.cloud.common.model.ExcelModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * spu信息VO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
@Data
@ToString
public class PurchaseSpuExcelVO extends ExcelModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "采购信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    /**
     * xls文件
     */
    public static final String XLS_FILE = "xls";

    /**
     * xlsx文件
     */
    public static final String XLSX_FILE = "xlsx";

    /**
     * 表头（用于excel模板校验）
     */
    public static final String HEADER = "商品信息";
    public static final String[] HEADER_ARRAY = {"*商品编码(必填)*", "商品名称", "采购数量"};

    @ExcelProperty(value = {HEADER, "*商品编码(必填)*"}, index = 0)
    private String partyCode;

    @ExcelProperty(value = {HEADER, "商品名称"}, index = 1)
    private String spuName;

    @ExcelProperty(value = {HEADER, "采购数量"}, index = 2)
    private Integer purchaseStock;

}
