
package com.tmerclub.cloud.order.vo.mongo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 退款信息VO
 *
 * @author tmerclub
 * @date 2021-03-15 15:26:03
 */
@Data
@ToString
@Document("order_refund")
public class MongoOrderRefundInfoVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "退款单号")
    private Long refundId;

    @Schema(description = "关联的支付订单id")
    private Long orderId;

    @Schema(description = "关联的支付单id")
    private Long payId;

    @Schema(description = "回调时间")
    private Date callbackTime;

    @Schema(description = "店铺id 0是平台")
    private Long shopId;

    @Schema(description = "店铺名称 平台是官方店")
    private String shopName;

    @Schema(description = "退款时间")
    private Date refundTime;

    @Schema(description = "退款入口[0订单 1充值 2开通会员]")
    private Integer payEntry;

    /**
     * @see com.tmerclub.cloud.common.constant.PayType
     */
    @Schema(description = "支付方式")
    private Integer payType;

    @Schema(description = "支付积分")
    private Long scoreCount;

    @Schema(description = "支付宝金额")
    private Long alipayAmount;

    @Schema(description = "微信金额")
    private Long wechatAmount;

    @Schema(description = "余额金额")
    private Long balanceAmount;

    @Schema(description = "合计")
    private Long refundAmount;

}
