
package com.tmerclub.cloud.order.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Data
@ToString
@Document("order")
public class MongoShopAccountOrderDetailVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺id 0是平台")
    private Long shopId;

    @Schema(description = "店铺名称 平台是官方店")
    private String shopName;

    @Schema(description = "微信金额")
    private Long wechatAmount;

    @Schema(description = "支付宝金额")
    private Long alipayAmount;

    @Schema(description = "余额金额")
    private Long balanceAmount;

    @Schema(description = "积分数目")
    private Long scoreCount;

    @Schema(description = "合计")
    private Long total;

    @Schema(description = "支付方式")
    private Integer payType;

    @Schema(description = "实付金额")
    private Long actualTotal;

}
