
package com.tmerclub.cloud.payment.bo;

import com.tmerclub.cloud.api.order.vo.ShopAmountVO;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/12/25
 */
@Data
@ToString
public class PayInfoBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付信息，如商品名称
     */
    private String body;

    /**
     * 支付单号
     */
    private Long payId;

    /**
     * 付款金额
     */
    private Long payAmount;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * api回调域名
     */
    private String apiNoticeUrl;

    /**
     * 支付完成会跳地址
     */
    private String returnUrl;

    /**
     * 第三方用户id
     */
    private String bizUserId;

    /**
     * 通联用户id
     */
    private String allinpayUserId;

    /**
     * 支付回调地址类型
     */
    private Integer backType;

    /**
     * 订单ids
     */
    private String orderIds;

    /**
     * 是否是购买会员
     */
    private Boolean isVip;

    /**
     * 是否进行充值
     */
    private Boolean isRecharge;

    /**
     * 用户id
     */
    private String userId;
    /**
     * 系统类型 1:移动端 2:pc
     */
    private Integer systemType;
    /**
     * 交易验证方式 0.仅渠道验证，通商云不做交易验证 1.通商云发送并验证短信验证码，有效期3分钟。2.验证通商云支付密码
     */
    private Long validateType;
    /**
     * 扩展信息，通联独有
     */
    private String extendInfo;

    /**
     * 支付系统类型 0默认 1通联
     */
    private Integer paySysType;

    /**
     * 收款ids
     */
    private List<ShopAmountVO> receiveList;

}
