
package com.tmerclub.cloud.payment.bo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * 退款后，微信/支付宝返回的一些基础数据
 * @author tmerclub
 * @date 2020/12/25
 */
@Data
@ToString
public class RefundInfoResultBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商城退款单号
     */
    private Long refundId;

    /**
     * 第三方订单退款流水号
     */
    private String bizRefundNo;

    /**
     * 是否退款成功
     */
    private Boolean refundSuccess;

    /**
     * 退款成功的标记
     */
    private String successString;

    /**
     * 退款回调信息
     */
    private String callbackContent;

}
