package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lanhai
 */
@Data
@ToString
public class ApplyBindAcctDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "支付账户类型(weChatPublic:微信公众号, weChatMiniProgram:微信小程序, aliPayService:支付宝生活号, unionPayjs:银联JS)")
    private String acctType;

    @Schema(description = "支付账户用户标识(微信公众号支付openid——微信分配\n" +
            "微信小程序支付openid——微信分配\n" +
            "支付宝生活号支付user_id——支付宝分配\n" +
            "银联JS支付user_id——银联分配，可根据【通过授权码（付款码）获取用户ID】接口获取\n" +
            "附：openid示例oUpF8uMuAJO_M2pxb1Q9zNjWeS6o)")
    private String acct;

    @Schema(description = "微信小程序/公众号登录code")
    private String wxLoginCode;

}
