package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @date 2023-03-23
 */
@Data
@ToString
public class BankCardChangeBindPhoneDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "银行卡号")
    private String cardNo;

    @Schema(description = "银行预留手机号")
    private String phone;

    @Schema(description = "姓名")
    private String name;

    @Schema(description = "绑卡方式（具体看:https://cloud.allinpay.com/ts-cloud-dev-web/#/apiCenter/index?params=y&key=300），暂只支持6，7")
    private Long cardCheck;

    @Schema(description = "身份证号")
    private String identityNo;

    @Schema(description = "有效期(信用卡必填)[格式:MMyy，例:0321(21年3月)]")
    private String validate;

    @Schema(description = "CVV2(信用卡必填)")
    private String cvv2;


}
