
package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotEmpty;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单支付记录DTO
 *
 * @author tmerclub
 * @date 2020-12-25 09:50:59
 */
@Data
@ToString
public class PayInfoDTO extends BasePayInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotEmpty(message = "订单号不能为空")
    @Schema(description = "订单号", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<Long> orderIds;


}
