
package com.tmerclub.cloud.payment.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * spu信息VO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
@Data
@ToString
public class RefundInfoExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "退款对账";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {0};

    @ExcelProperty(value = {"退款对账信息", "序号"}, index = 0)
    private String seq;

    @ExcelProperty({"退款对账信息", "店铺名称"})
    private String shopName;

    @ExcelProperty({"退款对账信息", "退款单号"})
    private String refundId;

    @ExcelProperty({"退款对账信息", "支付单号"})
    private String payId;

    @ExcelProperty({"退款对账信息", "关联订单号"})
    private String orderId;

    @ExcelProperty({"退款对账信息", "支付入口"})
    private String payEntry;

    @ExcelProperty({"退款对账信息", "支付方式"})
    private String payType;

    @ExcelProperty({"退款对账信息", "支付积分"})
    private String payScore;

    @ExcelProperty({"退款对账信息", "支付宝金额"})
    private String alipayAmount;

    @ExcelProperty({"退款对账信息", "微信金额"})
    private String wechatAmount;

    @ExcelProperty({"退款对账信息", "余额金额"})
    private String balanceAmount;

    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty({"退款对账信息", "退款时间"})
    private Date refundTime;

}
