
package com.tmerclub.cloud.product.dto;

import com.tmerclub.cloud.common.product.dto.AttrLangDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 属性信息DTO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:23
 */
@Data
@ToString
public class AttrDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "attr id")
    private Long attrId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "多语言列表")
    private List<AttrLangDTO> attrLangList;

    @Schema(description = "属性描述")
    private String desc;

    @Schema(description = "作为搜索参数 0:不需要，1:需要")
    private Integer searchType;

    @Schema(description = "属性类型 0:销售属性，1:基本属性")
    private Integer attrType;

    @Schema(description = "分类id列表")
    private List<Long> categoryIds;

    @Schema(description = "属性值列表")
    private List<AttrValueDTO> attrValues;

    @Schema(description = "属性名称")
    private String name;

    @Schema(description = "关联系统类型 1.店铺 2.平台端 3.供应商")
    private Integer sysType;

}
