
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 品牌信息DTO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
@Data
@ToString
public class BrandDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "brand_id")
    private Long brandId;

    @Schema(description = "品牌多语言列表")
    private List<BrandLangDTO> brandLangList;

    @Schema(description = "品牌名称")
    private String name;

    @Schema(description = "品牌描述")
    private String desc;

    @NotNull(message = "logo图片不能为空")
    @Schema(description = "品牌logo图片")
    private String imgUrl;

    @NotNull(message = "首字母不能为空")
    @Schema(description = "检索首字母")
    private String firstLetter;

    @NotNull(message = "序号不能为空")
    @Schema(description = "排序")
    private Integer seq;

    @Schema(description = "状态 1:enable, 0:disable, -1:deleted")
    private Integer status;

    @Schema(description = "分类")
    private List<Long> categoryIds;

    @Schema(description = "是否置顶 0：不置顶  1：置顶")
    private Integer isTop;

    @Schema(description = "品牌下的商品数量")
    private Integer spuCount;

    @Schema(description = "店铺id")
    private Long shopId;

}
