
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 商品浏览记录表DTO
 *
 * @author YXF
 * @date 2021-03-19 14:28:14
 */
@Data
@ToString
public class SpuBrowseLogDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品浏览记录id")
    private Long spuBrowseLogId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "分类id")
    private Long categoryId;

    @Schema(description = "商品类型")
    private Integer spuType;

    @Schema(description = "商品浏览记录id列表(用于批量删除)")
    private List<Long> spuBrowseLogIds;


}
