
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品评论DTO
 *
 * @author YXF
 * @date 2021-01-11 13:47:33
 */
@Data
@ToString
public class SpuCommDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "ID")
    private Long spuCommId;

    @Schema(description = "店铺ID")
    private Long shopId;

    @Schema(description = "商品ID")
    private Long spuId;

    @Schema(description = "订单项ID")
    private Long orderItemId;

    @Schema(description = "评论用户ID")
    private Long userId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "评论内容")
    private String content;

    @Schema(description = "掌柜回复")
    private String replyContent;

    @Schema(description = "是否回复 0:未回复  1:已回复")
    private Integer replySts;

    @Schema(description = "回复时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date replyTime;

    @Schema(description = "回复开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date replyStartTime;

    @Schema(description = "回复结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date replyEndTime;

    @Schema(description = "记录时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Schema(description = "记录开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createStartTime;

    @Schema(description = "记录结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createEndTime;

    @Schema(description = "IP来源")
    private String postip;

    @Schema(description = "商品得分，1-5分")
    private Integer score;

    @Schema(description = "店铺评分 1-5分")
    private Integer storeScore;

    @Schema(description = "物流评分 1-5分")
    private Integer logisticsScore;

    @Schema(description = "有用的计数")
    private Integer usefulCounts;

    @Schema(description = "晒图的json字符串")
    private String pics;

    @Schema(description = "是否匿名(1:是  0:否)")
    private Integer isAnonymous;

    @Schema(description = "是否显示  -1:删除 0:不显示 1:显示 2 审核不通过 3.待审核")
    private Integer status;

    @Schema(description = "评价(0好评 1中评 2差评)")
    private Integer evaluate;

}
