
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品调价记录DTO
 *
 * @author lhd
 * @date 2022-06-29 17:48:25
 */
@Data
@ToString
public class SpuPriceLogDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品调价记录id")
    private Long id;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "规格id")
    private Long skuId;

    @Schema(description = "原供货价")
    private Long beforePrice;

    @Schema(description = "现供货价")
    private Long afterPrice;

    @Schema(description = "差价")
    private Long price;


    @Schema(description = "搜索商品关键词(商品名称或商品编码)")
    private String prodKey;

    @Schema(description = "调价开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createStartTime;

    @Schema(description = "调价结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createEndTime;

    @Schema(description = "排序：1.SKU编码正序,2.SKU编码倒序,3原供货价正序,4原供货价倒序,5调整后供货价正序,6调整后供货价倒序 7差价正序 8差价倒序")
    private Integer sort;


    @Schema(description = "供应商id")
    private Long supplierId;

}
