
package com.tmerclub.cloud.product.dto;

import com.tmerclub.cloud.common.product.dto.SpuDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 商品分组表DTO
 *
 * @author lhd
 * @date 2021-02-20 14:28:10
 */
@Data
@ToString
public class SpuTagDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分组标签id")
    private Long id;

    @Schema(description = "分组标题")
    private String title;

    @Schema(description = "店铺Id")
    private Long shopId;

    @Schema(description = "状态(1为正常,-1 为删除)")
    private Integer status;

    @Schema(description = "默认类型(0:商家自定义,1:系统默认)")
    private Integer isDefault;

    @Schema(description = "商品数量")
    private Long prodCount;

    @Schema(description = "列表样式(0:一列一个,1:一列两个,2:一列三个)")
    private Integer style;

    @Schema(description = "排序")
    private Integer seq;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "修改时间")
    private Date updateTime;

    @Schema(description = "删除时间")
    private Date deleteTime;

    @Schema(description = "商品信息")
    private List<SpuDTO> spuList;

    @Schema(description = "商品关联ids")
    private List<Long> spuIds;

}
