
package com.tmerclub.cloud.product.dto;

import com.tmerclub.cloud.product.model.TakeStockSpu;
import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * DTO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@Data
@ToString
public class TakeStockDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "盘点id")
    private Long takeStockId;

    @Schema(description = "盘点单号")
    private String takeStockNo;

    @Schema(description = "盘点状态 0已作废 1盘点中 2已完成")
    private Integer billStatus;

    @Schema(description = "制单人")
    private Long maker;

    @Schema(description = "盘点区域名称")
    private String stockRegionName;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "制单人手机号")
    private String makerMobile;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建盘点开始时间")
    private LocalDateTime createStartTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建盘点结束时间")
    private LocalDateTime createEndTime;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品编码")
    private String partyCode;

    @Schema(description = "盘点商品列表")
    private List<TakeStockSpu> takeStockSpuList;

    @Hidden
    @Schema(description = "仓库id")
    private Long warehouseId;

}
