
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 属性信息
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:23
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class Attr extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * attr id
     */
    private Long attrId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 属性名称
     */
    private String name;

    /**
     * 属性描述
     */
    private String desc;

    /**
     * 作为搜索参数 0:不需要，1:需要
     */
    private Integer searchType;

    /**
     * 属性类型 0:销售属性，1:基本属性
     */
    private Integer attrType;

    /**
     * 关联系统类型 1.店铺 2.平台端 3.供应商
     */
    private Integer sysType;
    /**
     * 属性值列表
     */
    private List<AttrValue> attrValues;

}
