
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 品牌信息
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class Brand extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * brand_id
     */
    private Long brandId;

    /**
     * 品牌名称
     */
    private String name;

    /**
     * 品牌描述
     */
    private String desc;

    /**
     * 品牌logo图片
     */
    private String imgUrl;

    /**
     * 检索首字母
     */
    private String firstLetter;

    /**
     * 排序
     */
    private Integer seq;

    /**
     * 状态 1:enable, 0:disable, -1:deleted
     */
    private Integer status;

    /**
     * 是否置顶 0：不置顶  1：置顶
     */
    private Integer isTop;

    /**
     * 品牌下的商品数量
     */
    private Integer spuCount;

    /**
     * 店铺id
     */
    private Long shopId;
    /**
     * 关联系统类型 1.店铺 2.平台端 3.供应商
     */
    private Long sysType;

}
