
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 品牌分类关联信息
 *
 * @author tmerclub
 * @date 2021-04-27 16:40:44
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class CategoryShop extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long categoryShopId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 扣率: 为空代表采用平台扣率
     */
    private Double rate;

    /**
     * 经营资质图片，以,分割
     */
    private String qualifications;
    /**
     * 关联系统类型 1.店铺 2.平台端 3.供应商
     */
    private Integer sysType;


}
