
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 赠品套装商品项
 *
 * @author tmerclub
 * @date 2022-08-16 11:11:59
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class GiveawaySpu extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 赠品商品项id
     */
    private Long giveawaySpuId;

    /**
     * 赠品id
     */
    private Long giveawayId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * skuId
     */
    private Long skuId;

    /**
     * 赠送数量
     */
    private Integer giveawayNum;

    /**
     * 退货价
     */
    private Long refundPrice;

    /**
     * 状态 1：正常 0：失效 -1：删除
     */
    private Integer status;

}
