
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品评论
 *
 * @author YXF
 * @date 2021-01-11 13:47:33
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuComm extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 匿名
     */
    public static final Integer ANONYMOUS = 1;

    /**
     * ID
     */
    private Long spuCommId;

    /**
     * 商品ID
     */
    private Long spuId;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 订单项ID
     */
    private Long orderItemId;

    /**
     * 评论用户ID
     */
    private Long userId;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 掌柜回复
     */
    private String replyContent;

    /**
     * 回复时间
     */
    private Date replyTime;

    /**
     * 是否回复 0:未回复  1:已回复
     */
    private Integer replySts;

    /**
     * IP来源
     */
    private String postip;

    /**
     * 商品得分，1-5分
     */
    private Integer score;

    /**
     * 店铺评分 1-5分
     */
    private Integer storeScore;

    /**
     * 物流评分 1-5分
     */
    private Integer logisticsScore;

    /**
     * 有用的计数
     */
    private Integer usefulCounts;

    /**
     * 晒图的json字符串
     */
    private String pics;

    /**
     * 是否匿名(1:是  0:否)
     */
    private Integer isAnonymous;

    /**
     * 是否显示  -1:删除 0:不显示 1:显示 2 审核不通过 3.待审核
     */
    private Integer status;

    /**
     * 评价(0好评 1中评 2差评)
     */
    private Integer evaluate;

}
