
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品详情信息
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuDetail extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 语言 0.通用 1.中文 2.英文
     */
    private Integer lang;

    /**
     * 商品详情
     */
    private String detail;

}
