
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品调价记录
 *
 * @author lhd
 * @date 2022-06-29 17:48:25
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuPriceLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品调价记录id
     */
    private Long id;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 规格id
     */
    private Long skuId;

    /**
     * 原供货价
     */
    private Long beforePrice;

    /**
     * 现供货价
     */
    private Long afterPrice;

    /**
     * 差价
     */
    private Long price;

}
