
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品分组表
 *
 * @author lhd
 * @date 2021-02-20 14:28:10
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuTag extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 分组标签id
     */
    private Long id;

    /**
     * 分组标题
     */
    private String title;

    /**
     * 店铺Id
     */
    private Long shopId;

    /**
     * 状态(1为正常,-1 为删除)
     */
    private Integer status;

    /**
     * 默认类型(0:商家自定义,1:系统默认)
     */
    private Integer isDefault;

    /**
     * 商品数量
     */
    private Long prodCount;

    /**
     * 列表样式(0:一列一个,1:一列两个,2:一列三个)
     */
    private Integer style;

    /**
     * 排序
     */
    private Integer seq;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 删除时间
     */
    private Date deleteTime;

}
