
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
/**
 *
 *
 * @author tmerclub
 * @date 2023-11-09 18:00:43
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class StockPointSku extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 库存商品关联skuid
     */
    private Long stockPointSkuId;

    /**
     * 库存点id
     */
    private Long stockPointId;

    /**
     * 库存点类型 1仓库 2门店
     */
    private Integer stockPointType;

    /**
     * spuId
     */
    private Long spuId;

    /**
     * skuid
     */
    private Long skuId;

    /**
     * 当商品为代销商品时，供应商商品skuid
     */
    private Long supplierSkuId;

    /**
     * 状态 1:enable, 0:disable, -1:deleted
     */
    private Integer status;

    /**
     * 库存
     */
    private Long stock;

    /**
     * 仓库类型（仓库才有 0默认仓库，1区域仓库）
     */
    private Integer type;

    /**
     * 库存模式 （门店才有 参考StockModeEnum）
     */
    private Integer stockMode;

}
