
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class TakeStock extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 盘点id
     */
    private Long takeStockId;

    /**
     * 盘点单号
     */
    private String takeStockNo;

    /**
     * 盘点状态 0已作废 1盘点中 2已完成
     */
    private Integer billStatus;

    /**
     * 制单人
     */
    private Long maker;

    /**
     * 盘点区域名称
     */
    private String stockRegionName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 制单人手机号
     */
    private String makerMobile;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 库存点类型
     */
    private Integer stockPointType;

}
