
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品供应商变更记录VO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@Data
@ToString
public class SpuSupplierChangeLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品供应商变更记录id")
    private Long spuChangeId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "变更类型 1.商品上架 2.商品下架 3.代销sku信息变更 4.新增sku")
    private Integer changeType;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "spu编码")
    private String spuCode;

    @Schema(description = "商品主图")
    private String mainImgUrl;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "变更内容key")
    private String contentKey;

    @Schema(description = "变更内容值")
    private String contentValue;

    @Schema(description = "代销商品id")
    private Long commissionSpuId;

    @Schema(description = "供应商id")
    private Long supplierId;

}
