
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品分组标签关联信息VO
 *
 * @author lhd
 * @date 2021-02-20 14:28:10
 */
@Data
@ToString
public class SpuTagReferenceVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分组引用id")
    private Long referenceId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "标签id")
    private Long tagId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "状态(1:正常,0:删除)")
    private Integer status;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "更新时间")
    private Date updateTime;
    /**
     * 排序
     */
    private Integer seq;

}
