
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.product.vo.search.SpuSearchVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 商品分组表VO
 *
 * @author lhd
 * @date 2021-02-20 14:28:10
 */
@Data
@ToString
public class SpuTagVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分组标签id")
    private Long id;

    @Schema(description = "分组标题")
    private String title;

    @Schema(description = "店铺Id")
    private Long shopId;

    @Schema(description = "状态(1为正常,-1 为删除)")
    private Integer status;

    @Schema(description = "默认类型(0:商家自定义,1:系统默认)")
    private Integer isDefault;

    @Schema(description = "商品数量")
    private Long prodCount;

    @Schema(description = "列表样式(0:一列一个,1:一列两个,2:一列三个)")
    private Integer style;

    @Schema(description = "排序")
    private Integer seq;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "修改时间")
    private Date updateTime;

    @Schema(description = "删除时间")
    private Date deleteTime;

    @Schema(description = "商品列表")
    private List<SpuSearchVO> spuList;

    @Schema(description = "商品id列表")
    private List<Long> spuIds;

}
