package com.tmerclub.cloud.product.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author lanhai
 */
@Data
@ToString
public class StockBillLogItemImportExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME_IMPORT = "其他入库模板";
    public static final String EXCEL_NAME_EXPORT = "其他出库模板";
    public static final String SHEET_NAME_IMPORT = "库存流水";
    public static final String SHEET_NAME_EXPORT = "库存流水";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10};

    @ExcelProperty(value = {"其他出入库模板", "商品编码（必填）"}, index = 0)
    private String partyCode;

    @ExcelProperty(value = {"其他出入库模板", "商品名称"}, index = 1)
    private String spuName;

    @ExcelProperty(value = {"其他出入库模板", "实际出入库数量（必填）"}, index = 2)
    private Integer stockCount;

}
