
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 出入库商品项VO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@Data
@ToString
public class StockBillLogItemVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "出入库明细id")
    private Long stockBillLogId;

    @Schema(description = "实际出入库数量")
    private Integer stockCount;

    @Schema(description = "商品库存剩余量")
    private Integer afterStock;

    @Schema(description = "成本单价")
    private Long unitPrice;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "商品编码")
    private String partyCode;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "单位")
    private String measureUnit;

    @Schema(description = "1：出库 2：入库")
    private Integer stockType;

    @Schema(description = "单据类型")
    private Integer stockBillType;

    @Schema(description = "出入库单号")
    private String stockBillNo;

    @Schema(description = "关联订单号")
    private String sourceOrderNo;

    @Schema(description = "制单人手机号")
    private String makerMobile;

}
