package com.tmerclub.cloud.product.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author lanhai
 */
@Data
@ToString
public class TakeStockExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "实物盘点信息";
    public static final String SHEET_NAME = "实物盘点信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {0, 1, 2, 3, 4, 5};

    @ExcelProperty(value = {"盘点商品明细", "盘点单号"}, index = 0)
    private String takeStockNo;

    @ExcelProperty(value = {"盘点商品明细", "盘点日期"}, index = 1)
    private String createTime;

    @ExcelIgnore
    private Integer billStatus;

    @ExcelProperty(value = {"盘点商品明细", "盘点状态"}, index = 2)
    private String billStatusStr;

    @ExcelProperty(value = {"盘点商品明细", "制单人"}, index = 3)
    private String makerName;

    @ExcelIgnore
    private Long warehouseId;

    @ExcelProperty(value = {"盘点商品明细", "库存点名称"}, index = 4)
    private String warehouseName;

    @ExcelIgnore
    private Integer stockPointType;

    @ExcelProperty(value = {"盘点商品明细", "库存点类型"}, index = 5)
    private String stockPointTypeStr;

    @ExcelProperty(value = {"盘点商品明细", "盘点区域名称"}, index = 6)
    private String stockRegionName;

    @ExcelProperty(value = {"盘点商品明细", "备注"}, index = 7)
    private String remark;

    @ExcelProperty(value = {"盘点商品明细", "商品名称"}, index = 8)
    private String spuName;

    @ExcelProperty(value = {"盘点商品明细", "商品规格"}, index = 9)
    private String skuName;

    @ExcelProperty(value = {"盘点商品明细", "商品编码"}, index = 10)
    private String partyCode;

    @ExcelProperty(value = {"盘点商品明细", "账面库存"}, index = 11)
    private Integer stocks;

    @ExcelProperty(value = {"盘点商品明细", "实盘库存"}, index = 12)
    private Integer actualStock;

    @ExcelProperty(value = {"盘点商品明细", "盈亏数量"}, index = 13)
    private Integer changeStock;

    @ExcelIgnore
    private Integer ioType;

    @ExcelProperty(value = {"盘点商品明细", "盈亏状态"}, index = 14)
    private String ioTypeStr;

    @ExcelProperty(value = {"盘点商品明细", "盘点商品备注"}, index = 15)
    private String takeStockRemark;

    @ExcelIgnore
    private Long maker;

}
