
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 盘点商品列表VO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@Data
@ToString
public class TakeStockSpuVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "盘点商品id")
    private Long takeStockSpuId;

    @Schema(description = "盘点id")
    private Long takeStockId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "sku_id")
    private Long skuId;

    @Schema(description = "账面库存")
    private Integer stocks;

    @Schema(description = "实盘库存")
    private Integer totalStock;

    @Schema(description = "盈亏类型 0盘平 1盘盈 2盘亏 -1异常")
    private Integer ioType;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "异常原因 1.删除商品 2.盘点期间有库存变动 3.其他")
    private Integer exceptionReason;

    @Schema(description = "商品名")
    private String spuName;

    @Schema(description = "规格名")
    private String skuName;

    @Schema(description = "商品编码")
    private String partyCode;

    @Schema(description = "商品图片")
    private String pic;

}
