
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * VO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@Data
@ToString
public class TakeStockVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "盘点id")
    private Long takeStockId;

    @Schema(description = "盘点单号")
    private String takeStockNo;

    @Schema(description = "盘点状态 0已作废 1盘点中 2已完成")
    private Integer billStatus;

    @Schema(description = "制单人")
    private Long maker;

    @Schema(description = "盘点区域名称")
    private String stockRegionName;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "制单人手机号")
    private String makerMobile;

    @Schema(description = "sku数量")
    private Integer skuCount;

    @Schema(description = "制单人名称")
    private String makerName;

    @Schema(description = "仓库id")
    private Long warehouseId;

    @Schema(description = "仓库名称")
    private String warehouseName;

    @Schema(description = "库存点类型(1:仓库, 2:门店)")
    private Integer stockPointType;

    @Schema(description = "实物盘点商品列表")
    private List<TakeStockSpuVO> takeStockSpuVOList;

}
