package com.tmerclub.cloud.product.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * 对应MongoDB中商品浏览记录表emp
 *
 * @author track
 */
@Data
@ToString
@Document("spu_browse_log")
public class MongoSpuBrowseLogVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分类id")
    private Long categoryId;

    @Schema(description = "分类计数")
    private Integer num;

}
