
package com.tmerclub.cloud.search.bo;

import com.tmerclub.cloud.common.constant.Constant;
import com.tmerclub.cloud.search.canal.annotation.CanalModel;
import com.tmerclub.cloud.search.canal.common.FieldNamingPolicy;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @Author lth
 * @Date 2021/8/9 16:55
 */
@Data
@ToString
@CanalModel(database = "tmerclub" + Constant.UNDERLINE_ENV + "_marketing", table = "distribution_spu", fieldNamingPolicy = FieldNamingPolicy.LOWER_UNDERSCORE)
public class DistributionInfoBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 分销商品表id
     */
    private Long distributionSpuId;

    /**
     * 状态(0:商家下架 1:商家上架 2:违规下架 3:平台审核)
     */
    private Integer state;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 奖励方式(0 按比例 1 按固定数值)
     */
    private Integer awardMode;

    /**
     * 上级奖励设置(0 关闭 1开启)
     */
    private Integer parentAwardSet;

    /**
     * 奖励数额(奖励方式为0时，代表百分比*100，为1时代表实际奖励金额*100）
     */
    private Long awardNumbers;

    /**
     * 上级奖励数额(奖励方式为0时，表示百分比*100，为1时代表实际奖励金额*100）
     */
    private Long parentAwardNumbers;

}
