
package com.tmerclub.cloud.search.bo;

import com.tmerclub.cloud.common.constant.Constant;
import com.tmerclub.cloud.common.model.BaseModel;
import com.tmerclub.cloud.search.canal.annotation.CanalModel;
import com.tmerclub.cloud.search.canal.common.FieldNamingPolicy;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 订单信息
 *
 * @author YXF
 * @date 2021-07-07
 */
@Data
@ToString
@CanalModel(database = "tmerclub" + Constant.UNDERLINE_ENV + "_order", table = "purchase_order", fieldNamingPolicy = FieldNamingPolicy.LOWER_UNDERSCORE)
public class PurchaseOrderBO extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 采购id
     */
    private Long purchaseOrderId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 店铺名称
     */
    private String shopName;

    /**
     * 订单创建时间
     */
    private Date createTime;

    /**
     * 订单更新时间
     */
    private Date updateTime;

    /**
     * 送达时间
     */
    private Date deliverTime;

    /**
     * 发货时间
     */
    private Date deliveryTime;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 供应商名称
     */
    private String supplierName;

    /**
     * 总采购金额
     */
    private Long totalAmount;

    /**
     * 总采购库存数量
     */
    private Integer totalStock;

    /**
     * 实际总库存数量
     */
    private Integer actualTotalStock;

    /**
     * 状态 0:已作废 1:待入库 2:已发货 3.部分入库 5:已完成
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 操作员工id
     */
    private Long employeeId;

    /**
     * 配送类型 1:快递 2:自提 3：无需快递 4同城配送
     */
    private Integer deliveryType;

}
