
package com.tmerclub.cloud.search.bo;

import com.tmerclub.cloud.common.constant.Constant;
import com.tmerclub.cloud.common.model.BaseModel;
import com.tmerclub.cloud.search.canal.annotation.CanalModel;
import com.tmerclub.cloud.search.canal.common.FieldNamingPolicy;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 库存分片信息
 *
 * @author tmerclub
 * @date 2020-11-11 13:49:06
 */
@Data
@ToString
@CanalModel(database = "tmerclub" + Constant.UNDERLINE_ENV + "_product", table = "sku_stock_zone", fieldNamingPolicy = FieldNamingPolicy.LOWER_UNDERSCORE)
public class SkuStockZoneBO extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 分片id
     */
    private Long zoneId;

    /**
     * SKU ID
     */
    private Long skuId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 分片序号
     */
    private Integer zoneNo;

    /**
     * 库存
     */
    private Integer stock;

}
