
package com.tmerclub.cloud.search.bo;

import com.tmerclub.cloud.common.constant.Constant;
import com.tmerclub.cloud.search.canal.annotation.CanalModel;
import com.tmerclub.cloud.search.canal.common.FieldNamingPolicy;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品分组信息
 *
 * @author YXF
 * @date 2020-12-23 15:27:24
 */
@Data
@ToString
@CanalModel(database = "tmerclub" + Constant.UNDERLINE_ENV + "_product", table = "spu_tag_reference", fieldNamingPolicy = FieldNamingPolicy.LOWER_UNDERSCORE)
public class SpuTagBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 分组引用id
     */
    private Long referenceId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 标签id
     */
    private Long tagId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 序号
     */
    private Integer seq;

    /**
     * 状态(1:正常,0:删除)
     */
    private Integer status;

}
