
package com.tmerclub.cloud.seckill.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 秒杀订单DTO
 *
 * @author lhd
 * @date 2021-03-30 14:59:28
 */
@Data
@ToString
public class SeckillOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀订单id")
    private Long seckillOrderId;

    @Schema(description = "秒杀订单id")
    private Long seckillId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "秒杀到的商品数量")
    private Integer prodCount;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "-1指无效，0指成功，1指已付款")
    private Integer state;

    @Schema(description = "秒杀到的秒杀商品sku")
    private Long seckillSkuId;

}
