
package com.tmerclub.cloud.seckill.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 秒杀活动skuDTO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
@Data
@ToString
public class SeckillSkuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀活动单个skuid")
    private Long seckillSkuId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "秒杀活动id")
    private Long seckillId;

    @Schema(description = "用于秒杀的库存")
    private Integer seckillStocks;

    @Schema(description = "秒杀价格")
    private Long seckillPrice;

    @Schema(description = "库存关联列表")
    private List<SeckillStockPointSkuDTO> seckillStockPointList;

}
