
package com.tmerclub.cloud.seckill.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
/**
 *
 *
 * @author tmerclub
 * @date 2023-11-23 15:32:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SeckillStockPointSku extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 库存商品关联skuid
     */
    private Long seckillStockPointSkuId;

    /**
     * 库存点id
     */
    private Long stockPointId;

    /**
     * 库存点类型 1仓库 2门店
     */
    private Integer stockPointType;

    /**
     * sku_id
     */
    private Long skuId;

    /**
     * 秒杀活动skuid
     */
    private Long seckillSkuId;

    /**
     * 状态 1:enable, 0:disable, -1:deleted
     */
    private Integer status;

    /**
     * 仓库类型（0默认仓库，1区域仓库）
     */
    private Integer type;

    /**
     * 秒杀库存关联商品原始库存
     */
    private Integer seckillOriginStocks;

}
