
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.product.vo.SpuVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 秒杀商品信息VO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class AppSeckillSpuVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "spu id")
    private Long spuId;

    @Schema(description = "spu信息")
    private SpuVO spuVO;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "限购数量")
    private Integer maxNum;

    @Schema(description = "活动状态（活动状态：1:未开始、2:进行中、3:已结束）")
    private Integer activityStatus;

    @Schema(description = "秒杀活动最低价")
    private Long seckillPrice;

    @Schema(description = "秒杀活动剩余总库存")
    private Integer seckillTotalStocks;

    @Schema(description = "秒杀活动原始库存")
    private Integer seckillOriginStocks;

    @Schema(description = "秒杀活动关联sku信息")
    private List<AppSeckillSkuVO> seckillSkuList;

    @Schema(description = "在多少秒后过期")
    private Long expiresIn;

    @Schema(description = "在多少秒后开始")
    private Long startIn;


}
