
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 秒杀订单VO
 *
 * @author lhd
 * @date 2021-03-30 14:59:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SeckillOrderVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀订单id")
    private Long seckillOrderId;

    @Schema(description = "秒杀订单id")
    private Long seckillId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "秒杀到的商品数量")
    private Integer prodCount;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "-1指无效，0指成功，1指已付款")
    private Integer state;

    @Schema(description = "秒杀到的秒杀商品sku")
    private Long seckillSkuId;


}
