
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 秒杀活动skuVO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SeckillSkuVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀活动单个skuid")
    private Long seckillSkuId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "秒杀活动id")
    private Long seckillId;

    @Schema(description = "用于秒杀的库存")
    private Integer seckillStocks;

    @Schema(description = "秒杀价格")
    private Long seckillPrice;

    @Schema(description = "banner图片")
    private String imgUrl;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "售价，整数方式保存")
    private Long priceFee;

    @Schema(description = "属性")
    private String properties;

    @Schema(description = "秒杀的原始库存")
    private Integer seckillOriginStocks;

    @Schema(description = "库存关联列表")
    private List<SeckillStockPointSkuVO> seckillStockPointList;


}
