
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 秒杀商品信息VO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SeckillSpuVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀活动id")
    private Long seckillId;

    @Schema(description = "spu id")
    private Long spuId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "分类名称")
    private String categoryId;

    @Schema(description = "分类名称")
    private String categoryName;

    @Schema(description = "商品介绍主图")
    private String mainImgUrl;

    @Schema(description = "spu名称")
    private String name;

    @Schema(description = "售价，整数方式保存")
    private Long priceFee;

    @Schema(description = "限购数量")
    private Long maxNum;

    @Schema(description = "状态")
    private Integer status;

    @Schema(description = "秒杀活动最低价")
    private Long seckillPrice;

    @Schema(description = "立减xx元")
    private Long reducePrice;

    @Schema(description = "秒杀活动剩余总库存")
    private Integer seckillTotalStocks;

    @Schema(description = "秒杀活动原始库存")
    private Integer seckillOriginStocks;

    @Schema(description = "秒杀活动关联sku信息")
    private List<SeckillSkuVO> seckillSkuList;


}
