
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * VO
 *
 * @author tmerclub
 * @date 2023-11-23 15:32:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SeckillStockPointSkuVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "库存商品关联skuid")
    private Long seckillStockPointSkuId;

    @Schema(description = "库存点id")
    private Long stockPointId;

    @Schema(description = "库存点类型 1仓库 2门店")
    private Integer stockPointType;

    @Schema(description = "sku_id")
    private Long skuId;

    @Schema(description = "秒杀活动skuid")
    private Long seckillSkuId;

    @Schema(description = "状态 1:enable, 0:disable, -1:deleted")
    private Integer status;

    @Schema(description = "仓库类型（0默认仓库，1区域仓库）")
    private Integer type;

    @Schema(description = "原始仓库")
    private Integer stock;

    @Schema(description = "商品id")
    private Long spuId;


}
