
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.product.vo.SkuVO;
import com.tmerclub.cloud.common.product.vo.SpuVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 秒杀信息VO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SeckillVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀活动id")
    private Long seckillId;

    @Schema(description = "活动名称")
    private String seckillName;

    @Schema(description = "开始日期")
    private Date startTime;

    @Schema(description = "结束日期")
    private Date endTime;

    @Schema(description = "所选批次")
    private Integer selectedLot;

    @Schema(description = "所选秒杀分类")
    private Long categoryId;

    @Schema(description = "活动标签")
    private String seckillTag;

    @Schema(description = "限购数量")
    private Integer maxNum;

    @Schema(description = "取消订单时间")
    private Integer maxCancelTime;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "0 未删除 1已删除")
    private Integer isDelete;

    @Schema(description = "状态(0:失效、1:正常、2:违规下架、3:等待审核)")
    private Integer status;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "商品信息")
    private SpuVO spuVO;

    @Schema(description = "秒杀活动剩余总库存")
    private Integer seckillTotalStocks;

    @Schema(description = "秒杀活动原始库存")
    private Integer seckillOriginStocks;

    @Schema(description = "秒杀活动最低价")
    private Long seckillPrice;

    @Schema(description = "秒杀活动关联sku信息")
    private List<SeckillSkuVO> seckillSkuList;

    @Schema(description = "sku列表")
    private List<SkuVO> skuList;

    @Schema(description = "0不补充 1补充库存")
    private Integer replenish;


}
