

package com.tmerclub.cloud.user.dto;

import com.tmerclub.cloud.common.util.PrincipalUtil;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Pattern;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lhd
 * @date 2020/12/30
 */
@Data
@ToString
public class CheckSmsDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "手机号")
    @Pattern(regexp = PrincipalUtil.MOBILE_REGEXP, message = "请输入正确的手机号")
    private String mobile;

    @Schema(description = "是否店铺账号，1是")
    private Integer shopAccount;

    @Schema(description = "验证码")
    private String validCode;

    @Schema(description = "校验修改手机号验证码成功的标识")
    private String checkUpdatePhoneSmsFlag;

}
