
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;
import lombok.Data;
import lombok.ToString;

/**
 * 弹窗广告查询dto
 * @author TRACK
 */
@Data
@ToString
public class QueryPopupDTO {

    @Schema(description = "触发页面类型 1.平台首页 2.会员中心 3.支付成功 4.店铺首页 5.商品详情")
    @Max(value = 5)
    @Min(value = 1)
    private Integer pageType;

    @Schema(description = "商品详情页必传 商品id")
    private Long spuId;

    @Schema(description = "游客uuid 未登录时必传")
    private Long uuid;

    @Schema(description = "店铺id 平台为0")
    private Long shopId;

    @Schema(description = "支付成功页必传 订单号")
    private Long orderId;

    @Schema(description = "支付入口 0订单 1充值 2开通会员")
    private Integer payEntry;


}
