
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * DTO
 *
 * @author tmerclub
 * @date 2023-01-15 15:53:16
 */
@Data
@ToString
public class ShopCustomerDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺客户id")
    private Long shopCustomerId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "手机号码")
    private String phone;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "会员类型（-1：客户，0：免费会员，1：付费会员）")
    private Integer levelType;

    @Schema(description = "会员等级Id")
    private Long levelId;

    @Schema(description = "会员等级")
    private Integer level;

    @Schema(description = "成长值")
    private Integer growth;

    @Schema(description = "会员注册时间")
    private Date registTime;

    @Schema(description = "付费会员到期时间")
    private Date vipEndTime;

    private List<Long> userIds;

    private List<Long> shopIds;

    @Schema(description = "排序：1消费金额正序,2消费倒序,3实付金额正序,4实付金额倒序,5消费次数正序,6消费次数倒序,7下单次数正序, 8下单次数倒序, 9平均折扣正序, 10平均折扣倒序 11退款次数正序 12退款次数正序 13退款金额正序 14退款金额倒序")
    private Integer sort;

}
