package com.tmerclub.cloud.user.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.tmerclub.cloud.common.model.ExcelModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 客户导入信息
 * @author: zsm
 * @date: 2023/1/16 10:31
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class ShopCustomerExcelDTO extends ExcelModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "导入客户信息模板";
    public static final String SHEET_NAME = "sheet";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 1;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty(value = "序号", index = 0)
    private String seq;

    @ExcelProperty(value = "手机号(必填)", index = 1)
    @ColumnWidth(20)
    private String phone;

    @ExcelIgnore
    private Long shopId;

    @ExcelIgnore
    private Long userId;

}
