
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * DTO
 *
 * @author tmerclub
 * @date 2021-04-25 16:01:58
 */
@Data
@ToString
public class UserLevelTermDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键")
    private Long levelTermId;

    @Schema(description = "等级id")
    private Long userLevelId;

    @NotNull(message = "期数类型不能为空")
    @Schema(description = "期数类型(0:月,1:季,2:年)")
    private Integer termType;

    @NotNull(message = "价格不能为空")
    @Schema(description = "价格")
    private Long needAmount;

    @NotNull(message = "状态不能为空")
    @Schema(description = "状态(0: 禁用1: 启用)")
    private Integer status;

}
