
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户积分记录DTO
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
@Data
@ToString
public class UserScoreLogDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "日志id")
    private Long logId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "1.购物 2.会员等级提升加积分 3.签到加积分 4.购物抵扣使用积分 5.积分过期")
    private Integer source;

    @Schema(description = "变动积分数额")
    private Long score;

    @Schema(description = "业务id")
    private Long bizId;

    @Schema(description = "出入类型 0=支出 1=收入")
    private Integer ioType;

}
