package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @date 2023-04-24
 */
@Data
@ToString
public class UserWithDrawDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Hidden
    @Schema(description = "用户id(非必填)")
    private Long userId;

    @Schema(description = "提现金额")
    private Double amount;

    @Schema(description = "银行卡号")
    private String bankCardNo;

    @Schema(description = "订单号")
    private String bizOrderNo;

    @Schema(description = "短信验证码")
    private String verificationCode;

}
