
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * 弹窗广告关联
 * @author TRACK
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class PopupRelate extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 关联id
     */
    private Long relateId;

    /**
     * 弹窗广告id
     */
    private Long popupId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 会员等级id
     */
    private Long userLevelId;

    public PopupRelate() {
    }

    public PopupRelate(Long popupId, Long spuId, Long userLevelId) {
        this.popupId = popupId;
        this.spuId = spuId;
        this.userLevelId = userLevelId;
    }

}
