
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 用户扩展信息
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserExtension extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long userExtensionId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户等级
     */
    private Integer level;

    /**
     * 等级条件 0 普通会员 1 付费会员
     */
    private Integer levelType;

    /**
     * 用户当前成长值
     */
    private Integer growth;

    /**
     * 用户积分
     */
    private Long score;

    /**
     * 用户总余额
     */
    private Long balance;

    /**
     * 用户实际余额
     */
    private Long actualBalance;

    /**
     * 通联累计余额
     */
    private Long allinpayBalance;

    /**
     * 通联实际余额
     */
    private Long allinpayActualBalance;

    /**
     * 通联会员创建(0:否 1:是)
     */
    private Integer allinpayCreate;

    /**
     * 通联实名认证(0:否 1:是)
     */
    private Integer allinpayRealNameSet;

    /**
     * 通联手机绑定(0:否 1:是)
     */
    private Integer allinpayPhoneBind;

    /**
     * 通联支付密码设置(0:否 1:是)
     */
    private Integer allinpayPayPwdSet;

    /**
     * 通联提现协议签约(0:否 1:是)
     */
    private Integer allinpayProtocolSign;

    /**
     * 通联支付账户绑定(0:否 1:是)
     */
    private Integer allinpayPayAcctBind;

    /**
     * 乐观锁
     */
    private Integer version;

    /**
     * 连续签到天数
     */
    private Integer signDay;

    /**
     * 用户付费会员等级
     */
    private Integer vipLevel;

}
