
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 用户成长值记录
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserGrowthLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 成长值获取记录表
     */
    private Long logId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 来源 0系统修改 1 订单
     */
    private Integer source;

    /**
     * 关联业务id
     */
    private Long bizId;

    /**
     * 变更成长值
     */
    private Integer changeGrowth;

    /**
     * 备注
     */
    private String remarks;

}
