
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 会员等级表
 *
 * @author tmerclub
 * @date 2021-04-25 16:01:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserLevel extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long userLevelId;

    /**
     * 等级
     */
    private Integer level;

    /**
     * 等级名称
     */
    private String levelName;

    /**
     * 等级类型 0:普通会员 1:付费会员
     */
    private Integer levelType;

    /**
     * 所需成长值
     */
    private Integer needGrowth;

    /**
     * 1:已更新 0:等待更新(等级修改后，用户等级的更新)
     */
    private Integer updateStatus;

    /**
     * 付费会员，是否可以招募会员；1可以招募，0停止招募
     */
    private Integer recruitStatus;

}
