
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 用户等级记录
 *
 * @author tmerclub
 * @date 2021-05-14 11:04:52
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserLevelLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 等级记录表
     */
    private Long levelLogId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 变更类型 -1降级 0不变 1升级
     */
    private Integer levelIoType;

    /**
     * 等级变更原因1.成长值不足 2.成长值足够 3.购买会员 4.续费会员 5.会员到期
     */
    private Integer levelChangeReason;

    /**
     * 变更之前等级
     */
    private Integer beforeLevel;

    /**
     * 变更之前的等级类型  0:普通会员 1:付费会员
     */
    private Integer beforeLevelType;

    /**
     * 变更之后的等级
     */
    private Integer afterLevel;

    /**
     * 变更之后的等级类型 0:普通会员 1:付费会员
     */
    private Integer afterLevelType;

    private String levelName;

    /**
     * 支付单号
     */
    private Long payId;

    /**
     * 是否支付1已支付0未支付
     */
    private Integer isPayed;

    /**
     * 支付类型
     */
    private Integer payType;

    /**
     * 支付系统类型(0:默认支付, 1:通联支付)
     */
    private Integer paySysType;

    /**
     * 支付金额
     */
    private Long payAmount;

    /**
     * 期数类型(0:月,1:季,2:年)
     */
    private Integer termType;

}
