
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 积分锁定信息
 *
 * @author tmerclub
 * @date 2021-05-19 19:54:55
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserScoreLock extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 状态-1已解锁 0待确定 1已锁定
     */
    private Integer status;

    /**
     * 锁定积分数量
     */
    private Long score;

    /**
     * 变动的积分id集合
     */
    private String scoreGetLogIds;

  }
