
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 用户积分记录
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserScoreLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 日志id
     */
    private Long logId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 1.购物 2.会员等级提升加积分 3.签到加积分 4.购物抵扣使用积分 5.积分过期
     */
    private Integer source;

    /**
     * 变动积分数额
     */
    private Long score;

    /**
     * 业务id
     */
    private Long bizId;

    /**
     * 出入类型 0=支出 1=收入
     */
    private Integer ioType;

}
