
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 客户标签
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserTag extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 自增id
     */
    private Long userTagId;

    /**
     * 标签名字
     */
    private String tagName;

    /**
     * 标签类型0手动1条件2系统
     */
    private Integer tagType;

    /**
     * 系统标签是否开启
     */
    private Integer isSysTurnOn;

    /**
     * 成为客户开始时间
     */
    private Date registerMinTime;

    /**
     * 成为客户结束时间
     */
    private Date registerMaxTime;

    /**
     * 关注开始时间
     */
    private Date subscribeMinTime;

    /**
     * 关注结束时间
     */
    private Date subscribeMaxTime;

    /**
     * 成为会员开始时间
     */
    private Date toBeMemberMinTime;

    /**
     * 成为会员结束时间
     */
    private Date toBeMemberMaxTime;

    /**
     * 最近消费时间范围0(不限)1(今天)2(最近7天)3(最近15天)4(最近30天)5(最近45天)6(最近60天)7(最近90天)8(最近180天)
     */
    private Integer recentPurchaseTime;

    /**
     * 消费次数时间范围0(不限)1(今天)2(最近7天)3(最近15天)4(最近30天)5(最近45天)6(最近60天)7(最近90天)8(最近180天)
     */
    private Integer purchaseNumTime;

    /**
     * 消费次数最小次数
     */
    private Long purchaseNumMinNum;

    /**
     * 消费次数最大次数
     */
    private Long purchaseNumMaxNum;

    /**
     * 消费金额时间范围0(不限)1(今天)2(最近7天)3(最近15天)4(最近30天)5(最近45天)6(最近60天)7(最近90天)8(最近180天)
     */
    private Integer purchaseAmountTime;

    /**
     * 消费金额最小金额
     */
    private Long purchaseAmountMinAmount;

    /**
     * 消费金额最大金额
     */
    private Long purchaseAmountMaxAmount;

    /**
     * 订单均价时间范围0(不限)1(今天)2(最近7天)3(最近15天)4(最近30天)5(最近45天)6(最近60天)7(最近90天)8(最近180天)
     */
    private Integer orderAveragePriceTime;

    /**
     * 订单均价最小金额
     */
    private Long orderAveragePriceMinAmount;

    /**
     * 订单均价最大金额
     */
    private Long orderAveragePriceMaxAmount;

    /**
     * 充值金额时间范围0(不限)1(今天)2(最近7天)3(最近15天)4(最近30天)5(最近45天)6(最近60天)7(最近90天)8(最近180天)
     */
    private Integer rechargeAmountTime;

    /**
     * 充值金额最小金额
     */
    private Long rechargeAmountMinAmount;

    /**
     * 充值金额最大金额
     */
    private Long rechargeAmountMaxAmount;

    /**
     * 充值次数时间范围0(不限)1(今天)2(最近7天)3(最近15天)4(最近30天)5(最近45天)6(最近60天)7(最近90天)8(最近180天)
     */
    private Integer rechargeNumTime;

    /**
     * 充值次数最小次数
     */
    private Long rechargeNumMinNum;

    /**
     * 充值次数最大次数
     */
    private Long rechargeNumMaxNum;

    /**
     * 符合标签的人数
     */
    private Long userNum;

    /**
     * 统计更新时间
     */
    private Date statisticUpdateTime;

}
