
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.util.Date;
import java.util.List;

/**
 * 弹窗广告VO
 * @author TRACK
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class CostPerPopupVO extends BaseVO {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "弹窗广告id")
    private Long popupId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "弹窗名称")
    private String popupName;

    @Schema(description = "状态  1.未开始 2.投放中 3.已结束")
    private Integer status;

    @Schema(description = "触发页面类型 1.平台首页 2.会员中心 3.支付成功 4.店铺首页 5.商品详情")
    private Integer pageType;

    @Schema(description = "弹窗图片")
    private String popupPic;

    @Schema(description = "跳转页面")
    private String jumpUrl;

    @Schema(description = "推送用户类型 0.所有用户 1.免费会员 2.付费会员 3.店铺客户")
    private Integer userType;

    @Schema(description = "推送开始时间")
    private Date startTime;

    @Schema(description = "推送结束时间")
    private Date endTime;

    @Schema(description = "推送频次 0.永久一次 1.每次进入 2.自定义频次")
    private Integer pushFrequency;

    @Schema(description = "按x天推送")
    private Integer dayFrequency;

    @Schema(description = "按周推送 eg. 1,2 代表周日，周一")
    private String weekFrequency;

    @Schema(description = "关联列表")
    private List<PopupRelateVO> popupRelateList;

}
