package com.tmerclub.cloud.user.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.tmerclub.cloud.common.model.ExcelModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 客户信息导出
 * @author: zsm
 * @date: 2023/1/16 11:44
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class ShopCustomerExcelVO extends ExcelModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "客户信息";
    public static final String SHEET_NAME = "sheet";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty(value = {"客户信息", "序号"}, index = 0)
    private String seq;

    @ExcelProperty(value = {"客户信息", "客户昵称"}, index = 1)
    private String nickName;

    @ExcelProperty(value = {"客户信息", "手机号码"}, index = 2)
    private String phone;
    @ExcelProperty({"客户信息", "消费金额"})
    private Double consAmount;

    @ExcelProperty({"客户信息", "消费次数"})
    private Integer consTimes;

    @ExcelProperty({"客户信息", "退款金额"})
    private Double afterSaleAmount;

    @ExcelProperty({"客户信息", "退款次数"})
    private Integer afterSaleTimes;

}
