
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author lanhai
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class ShopCustomerVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺客户id")
    private Long shopCustomerId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "会员名称")
    private String memberName;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "会员类型（-1：客户，0：免费会员，1：付费会员）")
    private Integer levelType;

    @Schema(description = "会员等级Id")
    private Long levelId;

    @Schema(description = "会员等级")
    private Integer level;

    @Schema(description = "成长值")
    private Integer growth;

    @Schema(description = "会员注册时间")
    private Date registTime;

    @Schema(description = "付费会员到期时间")
    private Date vipEndTime;

    @Schema(description = "消费次数")
    private Integer consTimes;

    @Schema(description = "退款次数")
    private Integer afterSaleTimes;

}
