
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 余额记录VO
 *
 * @author tmerclub
 * @date 2021-04-27 15:51:36
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserBalanceLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long balanceLogId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "改变金额")
    private Long changeBalance;

    @Schema(description = "收支类型 0支出 1收入")
    private Integer ioType;

    @Schema(description = "支付编号(用于余额充值)")
    private Long payId;

    @Schema(description = "1:充值 2:赠送 3:支付  4:退款 5:平台手动修改 6:vip购买 7:提现")
    private Integer type;

    @Schema(description = "1:已支付 0:未支付(用于余额充值)")
    private Integer isPayed;

    @Schema(description = "退款单号")
    private Long refundId;

    @Schema(description = "订单号列表")
    private List<Long> orderIds;

}
