
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户扩展信息VO
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserExtensionVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long userExtensionId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "用户等级")
    private Integer level;

    @Schema(description = "等级条件 0 普通会员 1 付费会员")
    private Integer levelType;

    @Schema(description = "用户当前成长值")
    private Integer growth;

    @Schema(description = "用户积分")
    private Long score;

    @Schema(description = "用户总余额")
    private Long balance;

    @Schema(description = "用户实际余额")
    private Long actualBalance;

    @Schema(description = "用户通联累计余额")
    private Long allinpayBalance;

    @Schema(description = "用户通联实际余额")
    private Long allinpayActualBalance;

    @Schema(description = "通联会员创建(0:否 1:是)")
    private Integer allinpayCreate;

    @Schema(description = "通联是否实名认证(0:否 1:是)")
    private Integer allinpayRealNameSet;

    @Schema(description = "通联是否绑定手机号(0:否 1:是)")
    private Integer allinpayPhoneBind;

    @Schema(description = "通联是否设置支付密码(0:否 1:是)")
    private Integer allinpayPayPwdSet;

    @Schema(description = "通联是否签订提现协议(0:否 1:是)")
    private Integer allinpayProtocolSign;

    @Schema(description = "通联是否绑定支付标识(0:否 1:是)")
    private Integer allinpayPayAcctBind;

    @Schema(description = "乐观锁")
    private Integer version;

    @Schema(description = "连续签到天数")
    private Integer signDay;

}
