
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户成长值记录VO
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserGrowthLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "成长值获取记录表")
    private Long logId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "来源 1 订单")
    private Integer source;

    @Schema(description = "关联业务id")
    private Long bizId;

    @Schema(description = "变更成长值")
    private Integer changeGrowth;

    @Schema(description = "备注")
    private String remarks;

}
