
package com.tmerclub.cloud.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2021/2/25
 */
@Data
@ToString
public class UserInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户积分
     */
    @Schema(description = "用户积分")
    private Long score;
    /**
     * 用户余额
     */
    @Schema(description = "用户余额")
    private Long actualBalance;

    /**
     * 累计余额
     */
    @Schema(description = "累计余额")
    private Long balance;

    @Schema(description = "通联累计余额")
    private Long allinpayBalance;

    @Schema(description = "通联实际余额")
    private Long allinpayActualBalance;

    /**
     * 优惠券数量
     */
    @Schema(description = "优惠券数量")
    private Integer couponNum;
    /**
     * 消息
     */
    @Schema(description = "消息数量")
    private Integer notifyNum;

    @Schema(description = "商品收藏数量")
    private Integer collections;


}
