
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 会员等级表VO
 *
 * @author tmerclub
 * @date 2021-04-25 16:01:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserLevelVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键")
    private Long userLevelId;

    @Schema(description = "等级")
    private Integer level;

    @Schema(description = "等级名称")
    private String levelName;

    @Schema(description = "vip等级")
    private Integer vipLevel;

    @Schema(description = "等级类型 0:普通会员 1:付费会员")
    private Integer levelType;

    @Schema(description = "所需成长值")
    private Integer needGrowth;

    @Schema(description = "下一等级名称")
    private String nextLevelName;

    @Schema(description = "下一等级所需成长值")
    private Integer nextGrowth;

    @Schema(description = "1:已更新 0:等待更新(等级修改后，用户等级的更新)")
    private Integer updateStatus;

    @Schema(description = "付费会员，是否可以招募会员；1可以招募，0停止招募")
    private Integer recruitStatus;

    @Schema(description = "用户权益Ids")
    private List<Long> userRightsIds;

    @Schema(description = "用户权益列表")
    private List<UserRightsVO> userRightsList;

    @Schema(description = "优惠券id列表")
    private List<Long> couponIds;

    @Schema(description = "优惠券张数")
    private Integer couponsNum;

    @Schema(description = "等级期数id列表")
    private List<Long> levelTermIds;

    @Schema(description = "等级期数列表")
    private List<UserLevelTermVO> userLevelTerms;

}
