
package com.tmerclub.cloud.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 用户会员中心信息VO
 *
 * @author LTH
 */
@Data
@ToString
public class UserMemberInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "头像图片路径")
    private String pic;

    @Schema(description = "用户积分")
    private Long score;

    @Schema(description = "过期时间")
    private Date expireTime;

    @Schema(description = "用户普通会员等级信息")
    private UserLevelVO userOrdinaryLevel;

    @Schema(description = "用户付费会员等级信息")
    private UserLevelVO userPayedLevel;

    @Schema(description = "用户当前成长值")
    private Integer growth;

    @Schema(description = "购物可获取成长值")
    private Double shopScore;

    @Schema(description = "签到第几天")
    private Integer signInCount;

    @Schema(description = "会员等级说明列表")
    private List<UserLevelVO> userLevelList;

}
