
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.api.coupon.vo.CouponDataVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 余额充值级别表VO
 *
 * @author tmerclub
 * @date 2021-04-27 15:51:36
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserRechargeVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "充值id")
    private Long rechargeId;

    @Schema(description = "充值余额标题")
    private String rechargeTitle;

    @Schema(description = "充值金额")
    private Long rechargeAmount;

    @Schema(description = "背景图片")
    private String img;

    @Schema(description = "赠送金额")
    private Long presAmount;

    @Schema(description = "赠送积分")
    private Long presScore;

    @Schema(description = "赠送成长值")
    private Integer presGrowth;

    @Schema(description = "顺序")
    private Integer seq;

    @Schema(description = "优惠券信息")
    private List<CouponDataVO> couponList;

    @Schema(description = "赠送优惠券的总数量")
    private Integer couponTotalNum;

}
