
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户积分记录VO
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserScoreLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "日志id")
    private Long logId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "积分类型 0.注册送积分1.购物 2.会员等级提升加积分 3.签到加积分 4.购物抵扣使用积分 5.积分过期 6.余额充值 7.系统更改积分 8.购物抵扣使用积分退还")
    private Integer source;

    @Schema(description = "变动积分数额")
    private Long score;

    @Schema(description = "业务id")
    private Long bizId;

    @Schema(description = "出入类型 0=支出 1=收入")
    private Integer ioType;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品主图")
    private String mainImgUrl;

    @Schema(description = "积分订单总价")
    private Long actualTotal;

    @Schema(description = "积分商品单价")
    private Long scoreFee;

    @Schema(description = "积分商品数量")
    private Integer allCount;

    @Schema(description = "积分商品单价积分")
    private Long singleScoreFee;

    @Schema(description = "积分是否锁定 1是 0否")
    private Integer isLock;

}
