
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 用户表VO
 *
 * @author YXF
 * @date 2020-12-08 11:18:04
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "ID")
    private Long userId;

    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "M(男) or F(女)")
    private String sex;

    @Schema(description = "例如：2009-11-27")
    private String birthDate;

    @Schema(description = "头像图片路径")
    private String pic;

    @Schema(description = "状态 1 正常 0 无效")
    private Integer status;

    @Schema(description = "会员等级（冗余字段）")
    private Integer level;

    @Schema(description = "vip开始时间" )
    private Date vipStartTime;

    @Schema(description = "vip结束时间" )
    private Date vipEndTime;

    @Schema(description = "等级条件 0 普通会员 1 付费会员")
    private Integer levelType;

    @Schema(description = "手机号(冗余)")
    private String phone;

    /**
     * openId list
     */
    private List<String> bizUserIdList;

}
